##############################################################################
#
#----------------------------------------------------------------------------------------------------------------------------------------
#   labels.py
#
#   Definitions to replace form labels in ZMI
#
#   Copyright (c) 2004 Zope Japan KK.(Atsushi Shibata)
#   All Rights Reserved.
#----------------------------------------------------------------------------------------------------------------------------------------
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.0 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#
##############################################################################

#Dictinalries for labels replacements

__doc__="""labels.py : Dictinalries for labels replacements'
$Id: labels.py,v 1.4 2004/12/24 08:13:14 ats_shib Exp $"""

__version__='$Revision: 1.4 $'[11:-2]


label_list = (\
#lib/python/AccessControl/dtml/addUser.dtml
("/lib/python/AccessControl/dtml/addUser.dtml",
"/lib/python/AccessControl/dtml/editUser.dtml",),
#<div class="form-label">
#  (Confirm)
#  </div>
("""(Confirm)""",),

#lib/python/ZClasses/dtml/addZClass.dtml
("/lib/python/ZClasses/dtml/addZClass.dtml",),
#<div class="form-label">
#    <INPUT TYPE="CHECKBOX" NAME="zope_object:int" VALUE="1"<dtml-if 
#     zope_object> CHECKED</dtml-if>>
#    Include standard Zope persistent object base classes?
#    </div>
("""Include standard Zope persistent object base classes?""",),

#lib/python/Products/ZCatalog/dtml/catalogIndexes.dtml
("/lib/python/Products/ZCatalog/dtml/catalogIndexes.dtml",),
#<div class="list-item"><a 
#   href="./manage_catalogIndexes?skey=bobobase_modification_time<dtml-if 
#   "rkey == ''">&rkey=bobobase_modification_time</dtml-if
#   >"
#   onMouseOver="window.status='Sort objects by modification time'; return true"
#   onMouseOut="window.status=''; return true"><dtml-if 
#   "skey == 'bobobase_modification_time' or rkey == 'bobobase_modification_time'"
#   ><strong>Last&nbsp;modified</strong><dtml-else>Last&nbsp;modified</dtml-if></a></div>
("""status='Sort objects by modification time'""",
 """status='Sort objects by name'""",
 """status='Sort objects by type'""",
 """status='Sort objects by number of indexed objects'"""),

("/lib/python/AccessControl/dtml/userFolderProps.dtml",),
#  <td align="left" valign="center" class="form-label">
#   Encrypt user passwords
#  </td>
("""Encrypt user passwords""",),

('/lib/python/Products/SiteErrorLog/www/main.pt',
'/lib/python/Products/SiteErrorLog/www/showEntry.pt',),
#<div class="form-label">
#Number of exceptions to keep
#</div>
("""Number of exceptions to keep""",
#<div class="form-label">
#Copy exceptions to the event log
#</div>
"""Copy exceptions to the event log""",

#<div class="form-label">
#Ignored exception types
#</div>
"""Ignored exception types""",

#<h3>Exception Log (most recent first)</h3>
"""Exception Log (most recent first)""",

#  <th align="left">Time</th>
"""Time""",

#  <th align="left">Username (User Id)</th>
"""Username (User Id)""",

#  <th align="left">Exception</th>
"""Exception""",

#<h3>Exception traceback</h3>
"""Exception traceback""",

#  <th align="left" valign="top">Request URL</th>
#  <td tal:content="entry/url">http://example.com</td>
# </tr>
"""Request URL""",

#  <th align="left" valign="top">Exception Type</th>
#  <td tal:content="entry/type">AttributeError</td>
# </tr>
"""Exception Type""",

#  <th align="left" valign="top">Exception Value</th>
#  <td tal:content="entry/value">zzope</td>
"""Exception Value""",

),

('/lib/python/Products/SiteErrorLog/www/showEntry.pt',),
#<div tal:condition="entry/tb_html" tal:content="structure entry/tb_html">
#Traceback (HTML)
#</div>
("""Traceback (HTML)""",
#<pre tal:condition="not:entry/tb_html" tal:content="entry/tb_text">
#Traceback (text)
#</pre>
"""Traceback (text)""",

#<p tal:condition="entry/tb_text"><a href="" tal:attributes="href
#   string:getLogEntryAsText?id=${entry/id}">Display
#   traceback as text</a></p>
"""Display
   traceback as text""",

#<h3>REQUEST</h3>
"""REQUEST""",

),


#lib/python/OFS/dtml/main.dtml
("/lib/python/OFS/dtml/main.dtml",
#For external Editor
"/Products/ExternalEditor/manage_main.dtml",
"/lib/python/Products/PageTemplates/www/ptEdit.zpt",
"/lib/python/Products/SiteAccess/www/manage_edit.dtml"),
#<div class="list-item"><a 
#   href="./manage_main?skey=bobobase_modification_time<dtml-if 
#   "skey == 'bobobase_modification_time' and not rkey"
#   >&amprkey=bobobase_modification_time</dtml-if>"
#   onMouseOver="window.status='Sort objects by modification time'; return true"
#   onMouseOut="window.status=''; return true"><dtml-if 
#   "skey == 'bobobase_modification_time' or rkey == 'bobobase_modification_time'"
#   ><strong>Last Modified</strong><dtml-else>Last Modified</dtml-if></a></div>
("""Last Modified""",

#lib/python/OFS/dtml/main.dtml
#<div class="list-item"><a 
#   href="./manage_main?skey=get_size<dtml-if 
#   "skey == 'get_size' and not rkey">&amp;rkey=get_size</dtml-if>"
#   onMouseOver="window.status='Sort objects by size'; return true"
#   onMouseOut="window.status=''; return true"><dtml-if 
#   "skey == 'get_size' or rkey == 'get_size'"
#   ><strong>Size</strong><dtml-else>Size</dtml-if></a></div>
 """Size""",

#lib/python/OFS/dtml/main.dtml
#<div class="list-item"><a 
#   href="./manage_main?skey=id<dtml-if 
#   "skey == 'id' and not rkey">&amp;rkey=id</dtml-if>"
#   onMouseOver="window.status='Sort objects by name'; return true"
#   onMouseOut="window.status=''; return true"><dtml-if 
#   "skey == 'id' or rkey == 'id'"
#   ><strong>Name</strong><dtml-else>Name</dtml-if></a></div>
 """status='Sort objects by name'""",
 
#lib/python/OFS/dtml/main.dtml
 "/lib/python/OFS/dtml/main.dtml",
#<div class="list-item"><a 
#   href="./manage_main?skey=position"
#   onMouseOver="window.status='Sort objects by position'; return true"
#   onMouseOut="window.status=''; return true"><dtml-if 
#   "skey == 'position'"
#   ><strong>Position</strong><dtml-else>Position</dtml-if></a></div>
 """status='Sort objects by position'""",
 
 """Select type to add...""",
 ),

#lib/python/OFS/dtml/history.dtml
("/lib/python/OFS/dtml/history.dtml",),
#<div class="list-item">
#	<a href="&dtml-absolute_url;/HistoricalRevisions/&dtml-key;/manage_workspace"><dtml-var time fmt="%Y-%m-%d %H:%M"><dtml-if 
#        user_name> (&dtml-user_name;)</dtml-if></a>
#        <br>&dtml-description;
#	<dtml-if revision>
#        <br>revision: <em>&dtml-revision;</em>
#        </dtml-if>
#        </div>
("""revision: """,),

#lib/python/OFS/dtml/main.dtml
("/lib/python/OFS/dtml/main.dtml",
 #For external Editor
 "/Products/ExternalEditor/manage_main.dtml",
 "/lib/python/App/dtml/cpContents.dtml",),
#  <dtml-if locked_in_version>
#    <dtml-if modified_in_version>
#      <img src="&dtml-BASEPATH1;/p_/locked"
#       alt="This item has been modified in this version" />
#    <dtml-else>
("""This item has been modified in this version""",
#      <img src="&dtml-BASEPATH1;/p_/lockedo"
#       alt="This item has been modified in another version" />
#       (<em>&dtml-locked_in_version;</em>)
#    </dtml-if>
 """This item has been modified in another version""",),

#lib/python/OFS/dtml/properties.dtml
("/lib/python/OFS/dtml/properties.dtml",),
#<div class="list-item"><b>Warning:</b> be aware that removing 'title' without re-adding it might be dangerous.</div>
("""<b>Warning:</b> be aware that removing 'title' without re-adding it might be dangerous.""",),

#lib/python/OFS/dtml/findResult.dtml
("/lib/python/OFS/dtml/findResult.dtml",),
#<div class="list-item">
# <dtml-in name="results" next size=batch_size start=query_start>
# <strong><a href="&dtml-URL;&dtml-sequence-query;query_start=&dtml-next-sequence-start-number;">Next &gt;</a></strong>
# <dtml-else>&nbsp;</dtml-in></div>
("""Next &gt;""",

#lib/python/OFS/dtml/findResult.dtml
#<div class="list-item">
# <dtml-in name="results" previous size="batch_size" start="query_start">
# <strong> <a href="&dtml-URL;&dtml-sequence-query;query_start=&dtml-previous-sequence-start-number;">&lt; Previous</a></strong>
# <dtml-else>&nbsp;</dtml-in></div>
"""&lt; Previous""",),

#lib/python/OFS/dtml/main.dtml
("/lib/python/OFS/dtml/main.dtml",
 #For external Editor
 "/Products/ExternalEditor/manage_main.dtml"),
#  1 Kb
("""kb""",),

#lib/python/Products/ZCatalog/dtml/catalogIndexes.dtml
("/lib/python/Products/ZCatalog/dtml/catalogIndexes.dtml",),
#<div class="list-item">
#      <dtml-var meta_type>
#      <dtml-if isDeprecatedIndex>
#         <dtml-call "REQUEST.set('oldidx',1)">
#         (pre-2.4 index)
#      </dtml-if>
#    </div>
("""(pre-2.4 index)""",),

#lib/python/Products/TemporaryFolder/dtml/addTemporaryFolder.dtml
("/lib/python/Products/TemporaryFolder/dtml/addTemporaryFolder.dtml",),
#<div class="form-label">
#	<em>Title</em>
#    </div>
("""Title""",),

#lib/python/ZClasses/dtml/addZClass.dtml
("/lib/python/ZClasses/dtml/addZClass.dtml",),
#<div class="form-label">
#    <input type="checkbox" name="CreateAFactory:int" value="1"<dtml-if 
#     CreateAFactory> checked</dtml-if>>
#    Create constructor objects?
#    </div>
("""Create constructor objects?""",),

#lib/python/AccessControl/dtml/access.dtml
("/lib/python/AccessControl/dtml/access.dtml",),
#<div class="form-label">
#  <strong>
#  <a href="manage_acquiredForm">Acquire<dtml-unless sequence-index><BR>permission<BR>settings</dtml-unless></a>?
#  </strong>
#  </div>
("""Acquire""",
 """<BR>permission<BR>settings""",
 """</a>?""",
 ),

#lib/python/AccessControl/dtml/access.dtml
("/lib/python/AccessControl/dtml/access.dtml",),
#<div class="form-label">
#  <strong>Permission</strong>
#  </div>
("""Permission""",),

#lib/python/AccessControl/dtml/access.dtml
("/lib/python/AccessControl/dtml/access.dtml",),
#<div class="form-label">
#  <strong>Roles</strong>
#  </div>
("""Roles""",),

#lib/python/Products/ZCatalog/dtml/catalogSchema.dtml
("/lib/python/Products/ZCatalog/dtml/catalogSchema.dtml",),
#<div class="form-label">
#    Add Metadata
#    </div>
("""Add Metadata""",),

#lib/python/App/dtml/addFactory.dtml
("/lib/python/App/dtml/addFactory.dtml",
"/lib/python/App/dtml/editFactory.dtml",),
#<div class="form-label">
#    Add list name
#    </div>
("""Add list name""",),

#lib/python/Shared/DC/ZRDB/dtml/advanced.dtml
("/lib/python/Shared/DC/ZRDB/dtml/advanced.dtml",),
#<div class="form-label">
#     Allow "simple" direct traversal
#    </div>
("""Allow "simple" direct traversal""",),

#lib/python/Products/ZSQLMethods/dtml/add.dtml
("/lib/python/Products/ZSQLMethods/dtml/add.dtml",
"/lib/python/Products/ZSQLMethods/dtml/edit.dtml",),
#<div class="form-optional">
#    Arguments
#    </div>
("""Arguments""",),

#lib/python/Products/Sessions/dtml/addIdManager.dtml
("/lib/python/Products/Sessions/dtml/addIdManager.dtml",
"/lib/python/Products/Sessions/dtml/manageIdManager.dtml",),
#<div class="form-label">
#      Automatically Encode Zope-Generated<br>URLs With A Browser Id
#    </div>
("""Automatically Encode Zope-Generated<br>URLs With A Browser Id""",),

#lib/python/Products/SiteAccess/www/SiteRootAdd.dtml
("/lib/python/Products/SiteAccess/www/SiteRootAdd.dtml",
"/lib/python/Products/SiteAccess/www/SiteRootEdit.dtml",),
#<div class="form-optional">
#    Base
#    </div>
("""Base""",),

#lib/python/ZClasses/dtml/addZClass.dtml
("/lib/python/ZClasses/dtml/addZClass.dtml",
"/lib/python/ZClasses/dtml/itemProp.dtml",),
#<div class="form-label">
#    Base Classes
#    </div>
("""Base Classes""",
#<div class="form-element">
#<span class="form-label">Unselected</span>
#<br />
"""Unselected""",
#<div class="form-element">
#<span class="form-label">Selected</span>
#<br />
"""Selected""",
),

#lib/python/Products/OFSP/dtml/draftAdd.dtml
("/lib/python/Products/OFSP/dtml/draftAdd.dtml",),
#<div class="form-optional">
#    Base Object
#    </div>
("""Base Object""",),

#lib/python/Products/OFSP/dtml/version.dtml
("/lib/python/Products/OFSP/dtml/version.dtml",),
#<h3>Another version is active!</h3>
("""Another version is active!""",
#<h3>Active Version Operations</h3>
"""Active Version Operations""",
#<h3>Inactive Version Operations</h3>
"""Inactive Version Operations""",
),

#lib/python/Products/PythonScripts/www/pyScriptEdit.dtml
("/lib/python/Products/PythonScripts/www/pyScriptEdit.dtml",),
#<div class="form-label">
#    Bound Names
#    </div>
("""Bound Names""",),

#lib/python/Products/Sessions/dtml/addIdManager.dtml
("/lib/python/Products/Sessions/dtml/addIdManager.dtml",
"/lib/python/Products/Sessions/dtml/manageIdManager.dtml",),
#<div class="form-label">
#      Browser Id Name
#    </div>
("""Browser Id Name""",),

#lib/python/App/dtml/cpContents.dtml
("/lib/python/App/dtml/cpContents.dtml",),
#<div class="form-label">
#  CLIENT_HOME
#  </div>
("""CLIENT_HOME""",),

#lib/python/App/dtml/cacheParameters.dtml
("/lib/python/App/dtml/cacheParameters.dtml",),
#<div class="list-item">Cache Name</div>
("""Cache Name""",),

#lib/python/Products/StandardCacheManagers/dtml/propsAccel.dtml
("/lib/python/Products/StandardCacheManagers/dtml/propsAccel.dtml",),
#<div class="form-label">
#    Cache anonymous <br />connections only?
#    </div>
("""Cache anonymous <br />connections only?""",),

#lib/python/Products/ZCatalog/dtml/catalogAdvanced.dtml
("/lib/python/Products/ZCatalog/dtml/catalogAdvanced.dtml",),
#<div class="form-label">
#  Catalog Maintenance
#  </div>
("""Catalog Maintenance""",),

#lib/python/OFS/dtml/historyCompare.dtml
("/lib/python/OFS/dtml/historyCompare.dtml",),
#<div class="form-label">
#Changes to &dtml-id; as of
#  </div>
("""Changes to &dtml-id; as of""",),

#lib/python/Shared/DC/ZRDB/dtml/advanced.dtml
("/lib/python/Shared/DC/ZRDB/dtml/advanced.dtml",),
#<div class="form-label">
#    Class File
#    </div>
("""Class File""",),

#lib/python/ZClasses/dtml/itemProp.dtml
("/lib/python/ZClasses/dtml/itemProp.dtml",),
#<div class="form-label">
#    Class Id
#    </div>
("""Class Id""",),

#lib/python/Shared/DC/ZRDB/dtml/advanced.dtml
("/lib/python/Shared/DC/ZRDB/dtml/advanced.dtml",),
#<div class="form-label">
#    Class Name
#    </div>
("""Class Name""",),

#lib/python/ZClasses/dtml/classPermissions.dtml
("/lib/python/ZClasses/dtml/classPermissions.dtml",),
#<div class="form-label">
#    Class Permissions
#    </div>
("""Class Permissions""",),

#lib/python/Products/StandardCacheManagers/dtml/propsRCM.dtml
("/lib/python/Products/StandardCacheManagers/dtml/propsRCM.dtml",),
#<div class="form-label">
#    Cleanup interval (seconds)
#    </div>
("""Cleanup interval (seconds)""",),

#lib/python/Shared/DC/ZRDB/dtml/connectionEdit.dtml
("/lib/python/Shared/DC/ZRDB/dtml/connectionEdit.dtml",),
#<div class="form-label">
#    Connect Immediately
#    </div>
("""Connect Immediately""",),

#lib/python/Products/ZGadflyDA/dtml/connectionAdd.dtml
("/lib/python/Products/ZGadflyDA/dtml/connectionAdd.dtml",
"/lib/python/Products/ZGadflyDA/dtml/connectionEdit.dtml",
"/lib/python/Shared/DC/ZRDB/dtml/connectionAdd.dtml",),
#<div class="form-label">
#    Connect Immediately?
#    </div>
("""Connect Immediately?""",),

#lib/python/Shared/DC/ZRDB/dtml/advanced.dtml
("/lib/python/Shared/DC/ZRDB/dtml/advanced.dtml",),
#<div class="form-optional">
#    Connection Hook
#    </div>
("""Connection Hook""",),

#lib/python/Products/ZSQLMethods/dtml/add.dtml
("/lib/python/Products/ZSQLMethods/dtml/add.dtml",
"/lib/python/Products/ZSQLMethods/dtml/edit.dtml",),
#<div class="form-label">
#    Connection Id
#    </div>
("""Connection Id""",),

#lib/python/Products/ZSQLMethods/dtml/add.dtml
("/lib/python/Products/ZSQLMethods/dtml/add.dtml",),
#<td align="left" valign="top" colspan="2">
#<span class="form-label">Query Template</span>
#<br />
("""Query Template""",),

#lib/python/Shared/DC/ZRDB/dtml/connectionAdd.dtml
("/lib/python/Shared/DC/ZRDB/dtml/connectionAdd.dtml",
"/lib/python/Shared/DC/ZRDB/dtml/connectionEdit.dtml",),
#<div class="form-label">
#    Connection String
#    </div>
("""Connection String""",),

#lib/python/Shared/DC/Scripts/dtml/scriptBindings.dtml
("/lib/python/Shared/DC/Scripts/dtml/scriptBindings.dtml",),
#<div class="form-label">
#  Container
#  </div>
("""Container""",),

#lib/python/OFS/dtml/fileEdit.dtml
("/lib/python/OFS/dtml/fileEdit.dtml",
"/lib/python/OFS/dtml/imageEdit.dtml",),
#<div class="form-label">
#  Content Type
#  </div>
("""Content Type""",),

#lib/python/Shared/DC/Scripts/dtml/scriptBindings.dtml
("/lib/python/Shared/DC/Scripts/dtml/scriptBindings.dtml",),
#<div class="form-label">
#  Context
#  </div>
("""Context""",),

#lib/python/Products/Sessions/dtml/addIdManager.dtml
("/lib/python/Products/Sessions/dtml/addIdManager.dtml",
"/lib/python/Products/Sessions/dtml/manageIdManager.dtml",),
#<div class="form-label">
#      Cookie Domain
#    </div>
("""Cookie Domain""",
#<td>
#<div align=left class="form-label">Look for Browser Id in</th>
#</td>
"""Look for Browser Id in""",

#<tr>
#   <td align=left>
#    <input type="checkbox" name="location:list" value="cookies" CHECKED> Cookies
#   </td>
#</tr>
#<tr>
#   <td align=left>
#    <input type="checkbox" name="location:list" value="form" CHECKED> Forms and Query Strings
#   </td>
#</tr>
#<tr>
#   <td align=left>
#    <input type="checkbox" name="location:list" value="url"> URLs
#   </td> 
#</tr>
"""Cookies""",
"""Forms and Query Strings""",
"""URLs""",
),

#lib/python/Products/Sessions/dtml/addIdManager.dtml
("/lib/python/Products/Sessions/dtml/addIdManager.dtml",
"/lib/python/Products/Sessions/dtml/manageIdManager.dtml",),
#<div class="form-label">
#      Cookie Lifetime In Days
#    </div>
("""Cookie Lifetime In Days""",),

#lib/python/Products/Sessions/dtml/addIdManager.dtml
("/lib/python/Products/Sessions/dtml/addIdManager.dtml",
"/lib/python/Products/Sessions/dtml/manageIdManager.dtml",),
#<div class="form-label">
#      Cookie Path
#    </div>
("""Cookie Path""",),

#lib/python/Products/ZGadflyDA/dtml/connectionAdd.dtml
("/lib/python/Products/ZGadflyDA/dtml/connectionAdd.dtml",
"/lib/python/Products/ZGadflyDA/dtml/connectionEdit.dtml",),
#<div class="form-label">
#    Data Source
#    </div>
("""Data Source""",),

#lib/python/Products/Transience/dtml/addTransientObjectContainer.dtml
("/lib/python/Products/Transience/dtml/addTransientObjectContainer.dtml",),
#<div class="form-label">
#      Data object timeout (in minutes)
#   </div>
("""Data object timeout (in minutes)""",),

#lib/python/Products/Transience/dtml/manageTransientObjectContainer.dtml
("/lib/python/Products/Transience/dtml/manageTransientObjectContainer.dtml",),
#<div class="form-label">
#     Data object timeout value (in minutes)
#    </div>
("""Data object timeout value (in minutes)""",),

#lib/python/App/dtml/dbMain.dtml
("/lib/python/App/dtml/dbMain.dtml",),
#<div class="form-label">
#  Database Location
#  </div>
("""Database Location""",),

#lib/python/App/dtml/dbMain.dtml
("/lib/python/App/dtml/dbMain.dtml",),
#<div class="form-label">
#  Database Size
#  </div>
("""Database Size""",),

#lib/python/App/dtml/activity.dtml
("/lib/python/App/dtml/activity.dtml",),
#<h3>Recent Database Activity</h3>
("""Recent Database Activity""",
# <th valign="top">Keep History (seconds)</th>
"""Keep History (seconds)""",
# <th valign="top">Displayed Range</th>
"""Displayed Range""",
# <td>&dtml-start_time; to<br />
"""to""",
# <th align="left"><font color="#ff0000">Object stores</font></th>
"""Object stores""",
# <th align="left" valign="top"><font color="#000080">Object loads</font></th>
"""Object loads""",
# <th align="left">Connections</th>
"""Connections""",
# <th align="left">&nbsp; Total:
"""Total:""",
),

#lib/python/App/dtml/dbMain.dtml
("/lib/python/App/dtml/undo.dtml",),
#onMouseOver="window.status='View later transactions'; return true"
#onMouseOut="window.status=''; return true">&lt; Later Transactions</a>
("""&lt; Later Transactions""",
#onMouseOver="window.status='View earlier transactions'; return true"
#onMouseOut="window.status=''; return true">Earlier Transactions &gt;</a>
"""Earlier Transactions &gt;""",
"""by""",
),

#lib/python/App/www/chooseDatabase.pt
("/lib/python/App/www/chooseDatabase.pt",),
#<h3>Databases</h3>
("""Databases""",),


#lib/python/AccessControl/dtml/addUser.dtml
("/lib/python/AccessControl/dtml/addUser.dtml",
"/lib/python/AccessControl/dtml/editUser.dtml",),
#<div class="form-optional">
#Domains
#</div>
("""Domains""",),

#lib/python/OFS/dtml/importExport.dtml
("/lib/python/OFS/dtml/importExport.dtml",),
#<div class="form-label">
#  Export object id
#  </div>
("""Export object id""",),

#lib/python/OFS/dtml/importExport.dtml
("/lib/python/OFS/dtml/importExport.dtml",),
#<div class="form-label">
#  Export to
#  </div>
("""Export to""",

#<input type="radio" name="download:int" value="1" />
#Download to local machine
#<br />
#<input type="radio" name="download:int" value="0" checked />
#Save to file on server
#</div>
"""Download to local machine""",
"""Save to file on server""",

#<div class="form-text">
#<input type="checkbox" name="toxml" value="Y" /> XML format?
#</div>
"""XML format?""",

#<div class="form-text">
#<input type="radio" name="set_owner:int" value="1" checked />
#Take ownership of imported objects
#<br />
#<input type="radio" name="set_owner:int" value="0" /> 
#Retain existing ownership information
#</div>
"""Take ownership of imported objects""",
"""Retain existing ownership information""",
),

#lib/python/Products/PluginIndexes/TopicIndex/dtml/manageTopicIndex.dtml
("/lib/python/Products/PluginIndexes/TopicIndex/dtml/manageTopicIndex.dtml",),
#<div class="form-label">
#    Expression
#    </div>
("""Expression""",),

#lib/python/OFS/dtml/documentAdd.dtml
("/lib/python/OFS/dtml/documentAdd.dtml",
"/lib/python/OFS/dtml/imageAdd.dtml",
"/lib/python/OFS/dtml/methodAdd.dtml",
"/lib/python/Products/PythonScripts/www/pyScriptAdd.dtml",
"/lib/python/Products/ZReST/dtml/manage_addZReSTForm.dtml",
"/lib/python/OFS/dtml/documentEdit.dtml",
#"/lib/python/Products/PageTemplates/www/ptEdit.zpt",
"/lib/python/Products/PythonScripts/www/pyScriptEdit.dtml",
"/lib/python/Products/ZReST/dtml/manage_editForm.dtml",),
#<div class="form-optional">
#    File
#    </div>
("""File""",),

#lib/python/OFS/dtml/fileEdit.dtml
("/lib/python/OFS/dtml/fileEdit.dtml",
"/lib/python/OFS/dtml/imageEdit.dtml",),
#<div class="form-label">
#  File Data
#  </div>
("""File Data""",
 """File Size""",),

#lib/python/OFS/dtml/findAdv.dtml
("/lib/python/OFS/dtml/findForm.dtml",
"/lib/python/OFS/dtml/findAdv.dtml",
"/lib/python/OFS/dtml/findResult.dtml",),
#<OPTION VALUE="&lt;"> before
#<OPTION VALUE="&gt;"> after
("""before""",
"""after""",
#<div class="form-text">
#<INPUT TYPE="RADIO" NAME="search_sub:int" VALUE="0"> 
#Search only in this folder
#<BR>
#<INPUT TYPE="RADIO" NAME="search_sub:int" VALUE="1" CHECKED> 
#Search all subfolders
#</div>
"""Search only in this folder""",
"""Search all subfolders""",
"""Advanced...""",
),

#lib/python/OFS/dtml/findAdv.dtml"
("/lib/python/OFS/dtml/findAdv.dtml",),
#<OPTION VALUE="&lt;"> before
#<OPTION VALUE="&gt;"> after
("""Type""",
"""Id""",
"""Last Modified""",
#<span class="form-label"> Reverse?</span>
"""Reverse?""",
#<INPUT TYPE="RADIO" NAME="search_sub:int" VALUE="0"> 
#Search only in this folder
#<BR>
#<INPUT TYPE="RADIO" NAME="search_sub:int" VALUE="1" CHECKED> 
#Search all subfolders
#</div>
"""Search only in this folder""",
"""Search all subfolders""",
#<span class="form-text">
#<a href="manage_findForm"> Simple...<a>
#</span>
"""Simple...""",
),

#lib/python/OFS/dtml/findAdv.dtml
("/lib/python/OFS/dtml/findAdv.dtml",
"/lib/python/OFS/dtml/findForm.dtml",
"/lib/python/Products/ZCatalog/dtml/catalogFind.dtml",),
#<div class="form-label">
#  Find objects of type:
#  </div>
("""Find objects of type:""",),

#lib/python/OFS/dtml/findResult.dtml
("/lib/python/OFS/dtml/findResult.dtml",),
#<div class="form-label">
#  Find objects of type:</a>
#  </div>
("""Find objects of type:""",),

#lib/python/Products/ExternalMethod/dtml/methodAdd.dtml
("/lib/python/Products/ExternalMethod/dtml/methodAdd.dtml",
"/lib/python/Products/ExternalMethod/dtml/methodEdit.dtml",),
#<div class="form-label">
#    Function Name
#    </div>
("""Function Name""",),

#lib/python/Products/ZCatalog/dtml/addVocabulary.dtml
("/lib/python/Products/ZCatalog/dtml/addVocabulary.dtml",),
#<div class="form-label">
#  Globbing?
#  </td>
#  <td align="left" valign="top">
#  <input type="checkbox" name="globbing" />
#  </td>
#</tr>
#  <tr>
#    <td align="left" valign="top">
#    </td>
#    <td align="left" valign="top">
#    <div class="form-element">
#    <input class="form-element" type="submit" name="submit" 
#     value=" Add " /> 
#    </div>
("""Globbing?""",),

#lib/python/ZClasses/dtml/views.dtml
("/lib/python/ZClasses/dtml/views.dtml",
"/lib/python/ZClasses/dtml/views.dtml",),
#<div class="form-label">
#  Help Topic
#  </div>
("""Help Topic""",),

#lib/python/App/dtml/cpContents.dtml
("/lib/python/App/dtml/cpContents.dtml",),
#<div class="form-label">
#  INSTANCE_HOME
#  </div>
("""INSTANCE_HOME""",),

#lib/python/ZClasses/dtml/addIcon.dtml
("/lib/python/ZClasses/dtml/addIcon.dtml",
"/lib/python/ZClasses/dtml/itemProp.dtml",),
#<div class="form-label">
#  Icon Image
#  </div>
("""Icon Image""",),

#lib/python/ZClasses/dtml/itemProp.dtml
("/lib/python/ZClasses/dtml/itemProp.dtml",),
#<div class="form-optional">
#    Icon Path
#    </div>
("""Icon Path""",),

#lib/python/App/dtml/addFactory.dtml
("/lib/python/App/dtml/addFactory.dtml",
"/lib/python/App/dtml/addPermission.dtml",
"/lib/python/App/dtml/addProduct.dtml",
"/lib/python/App/dtml/editFactory.dtml",
"/lib/python/App/dtml/editPermission.dtml",
"/lib/python/OFS/dtml/addOrderedFolder.dtml",
"/lib/python/OFS/dtml/documentAdd.dtml",
"/lib/python/OFS/dtml/folderAdd.dtml",
"/lib/python/OFS/dtml/imageAdd.dtml",
"/lib/python/OFS/dtml/methodAdd.dtml",
"/lib/python/Products/ExternalMethod/dtml/methodAdd.dtml",
"/lib/python/Products/ExternalMethod/dtml/methodEdit.dtml",
"/lib/python/Products/MailHost/dtml/addMailHost_form.dtml",
"/lib/python/Products/MailHost/dtml/manageMailHost.dtml",
"/lib/python/Products/OFSP/dtml/draftAdd.dtml",
"/lib/python/Products/OFSP/dtml/versionAdd.dtml",
"/lib/python/Products/OFSP/dtml/versionEdit.dtml",
"/lib/python/Products/PluginIndexes/DateIndex/dtml/addDateIndex.dtml",
"/lib/python/Products/PluginIndexes/DateRangeIndex/dtml/addDateRangeIndex.dtml",
"/lib/python/Products/PluginIndexes/FieldIndex/dtml/addFieldIndex.dtml",
"/lib/python/Products/PluginIndexes/KeywordIndex/dtml/addKeywordIndex.dtml",
"/lib/python/Products/PluginIndexes/PathIndex/dtml/addPathIndex.dtml",
"/lib/python/Products/PluginIndexes/TextIndex/dtml/addTextIndex.dtml",
"/lib/python/Products/PluginIndexes/TextIndex/dtml/addVocabulary.dtml",
"/lib/python/Products/PluginIndexes/TopicIndex/dtml/addTopicIndex.dtml",
"/lib/python/Products/PythonScripts/www/pyScriptAdd.dtml",
"/lib/python/Products/Sessions/dtml/addDataManager.dtml",
"/lib/python/Products/SiteAccess/www/SiteRootAdd.dtml",
"/lib/python/Products/SiteAccess/www/VirtualHostMonsterAdd.dtml",
"/lib/python/Products/StandardCacheManagers/dtml/addAccel.dtml",
"/lib/python/Products/StandardCacheManagers/dtml/addRCM.dtml",
"/lib/python/Products/TemporaryFolder/dtml/addTemporaryFolder.dtml",
"/lib/python/Products/Transience/dtml/addTransientObjectContainer.dtml",
"/lib/python/Products/ZCTextIndex/dtml/addLexicon.dtml",
"/lib/python/Products/ZCTextIndex/dtml/addZCTextIndex.dtml",
"/lib/python/Products/ZCatalog/dtml/addIndexForm.dtml",
"/lib/python/Products/ZCatalog/dtml/addVocabulary.dtml",
"/lib/python/Products/ZCatalog/dtml/addZCatalog.dtml",
"/lib/python/Products/ZGadflyDA/dtml/connectionAdd.dtml",
"/lib/python/Products/ZGadflyDA/dtml/connectionEdit.dtml",
"/lib/python/Products/ZReST/dtml/manage_addZReSTForm.dtml",
"/lib/python/Products/ZSQLMethods/dtml/add.dtml",
"/lib/python/Products/ZopeTutorial/dtml/tutorialAdd.dtml",
"/lib/python/Shared/DC/ZRDB/dtml/connectionAdd.dtml",
"/lib/python/Shared/DC/ZRDB/dtml/connectionEdit.dtml",
"/lib/python/ZClasses/dtml/addCommonSheet.dtml",
"/lib/python/ZClasses/dtml/addIcon.dtml",
"/lib/python/ZClasses/dtml/addPropertyInterface.dtml",
"/lib/python/ZClasses/dtml/addZClass.dtml",),
#<div class="form-label">
#    Id
#    </div>
("""Id""",),

#lib/python/Products/PluginIndexes/TopicIndex/dtml/manageTopicIndex.dtml
("/lib/python/Products/PluginIndexes/TopicIndex/dtml/manageTopicIndex.dtml",),
#<div class="form-label">
#    Id for FilteredSet
#    </div>
("""Id for FilteredSet""",),

#lib/python/OFS/dtml/folderAdd.dtml
("/lib/python/OFS/dtml/folderAdd.dtml",
"/lib/python/OFS/dtml/addOrderedFolder.dtml",),
#<label for="cbCreatePublic">Create public interface</label>
("""Create public interface""",

#<label for="cbCreateUserF">Create user folder</label>
"""Create user folder""",),

#lib/python/OFS/dtml/importExport.dtml
("/lib/python/OFS/dtml/importExport.dtml",),
#<div class="form-label">
#  Import file name
#  </div>
("""Import file name""",),

#lib/python/Products/ZCatalog/dtml/catalogObjectInformation.dtml
("/lib/python/Products/ZCatalog/dtml/catalogObjectInformation.dtml",),
#<div class="form-label">Index Contents</div>
("""Index Contents""",),

#lib/python/Products/PluginIndexes/TextIndex/dtml/addVocabulary.dtml
("/lib/python/Products/PluginIndexes/TextIndex/dtml/addVocabulary.dtml",),
#<div class="form-label">
#    Index numbers
#    </td>
("""Index numbers""",
 """Index single characters""",
 """Case-insensitive""",
 """no""",
 """yes""",
 """globbing?""",),

#lib/python/Products/PluginIndexes/FieldIndex/dtml/addFieldIndex.dtml
("/lib/python/Products/PluginIndexes/FieldIndex/dtml/addFieldIndex.dtml",
"/lib/python/Products/PluginIndexes/KeywordIndex/dtml/addKeywordIndex.dtml",
"/lib/python/Products/ZCTextIndex/dtml/addZCTextIndex.dtml",),
#<div class="form-label">
#    Indexed attributes
#    </div>
("""Indexed attributes""",),

#lib/python/ZClasses/dtml/classPermissions.dtml
("/lib/python/ZClasses/dtml/classPermissions.dtml",),
#<div class="form-label">
#    Inherited Permissions
#    </div>
("""Inherited Permissions""",),

#lib/python/App/dtml/editFactory.dtml
("/lib/python/App/dtml/editFactory.dtml",),
#<div class="form-label">
#  Initial method
#  </div>
("""Initial method""",),

#lib/python/App/dtml/manage_top_frame.dtml
('/lib/python/App/dtml/manage_top_frame.dtml',),
#<span class="std-text">Logged in as <strong>&dtml-AUTHENTICATED_USER;</strong></span> &nbsp;&nbsp;
("""Logged in as """,),

#lib/python/Products/StandardCacheManagers/dtml/propsAccel.dtml
("/lib/python/Products/StandardCacheManagers/dtml/propsAccel.dtml",),
#<div class="form-label">
#    Interval (seconds)
#    </div>
("""Interval (seconds)""",),

#lib/python/OFS/dtml/fileEdit.dtml
("/lib/python/OFS/dtml/fileEdit.dtml",
"/lib/python/OFS/dtml/imageEdit.dtml",
"/lib/python/Products/PythonScripts/www/pyScriptEdit.dtml",),
#<div class="form-label">
#  Last Modified
#  </div>
("""Last Modified""",),

#lib/python/Products/ZCTextIndex/dtml/addZCTextIndex.dtml
("/lib/python/Products/ZCTextIndex/dtml/addZCTextIndex.dtml",),
#<div class="form-label">
#    Lexicon
#    </div>
("""Lexicon""",),

#lib/python/OFS/dtml/cacheable.dtml
("/lib/python/OFS/dtml/cacheable.dtml",),
#<span class="form-label">
#Cache this object using:
#</span>
("""Cache this object using:""",),


#lib/python/OFS/dtml/cmassoc.dtml
("/lib/python/OFS/dtml/cmassoc.dtml",),
#<div class="form-label">
#    Locate cacheable objects:
#    </div>
("""Locate cacheable objects:""",
#<div class="form-text">
#<input type="radio" name="require_assoc:int" value="0" 
# checked="checked"> All
#<input type="radio" name="require_assoc:int" value="1">
# Associated with this cache manager
#</div>
""" All""",
"""Associated with this cache manager""",
#<input type="hidden" name="subfolders:int" value="0">
#Search subfolders
#</div>
"""Search subfolders""",
),

#lib/python/Products/StandardCacheManagers/dtml/propsRCM.dtml
("/lib/python/Products/StandardCacheManagers/dtml/propsRCM.dtml",),
#<div class="form-label">
#    Maximum age of a cache entry (seconds)
#    </div>
("""Maximum age of a cache entry (seconds)""",),

#lib/python/Products/Transience/dtml/addTransientObjectContainer.dtml
("/lib/python/Products/Transience/dtml/addTransientObjectContainer.dtml",
"/lib/python/Products/Transience/dtml/manageTransientObjectContainer.dtml",),
#<div class="form-label">
#      Maximum number of subobjects
#   </div>
("""Maximum number of subobjects""",),

#lib/python/Shared/DC/ZRDB/dtml/advanced.dtml
("/lib/python/Shared/DC/ZRDB/dtml/advanced.dtml",),
#<div class="form-label">
#    Maximum results to cache
#    </div>
("""Maximum results to cache""",),

#lib/python/Shared/DC/ZRDB/dtml/advanced.dtml
("/lib/python/Shared/DC/ZRDB/dtml/advanced.dtml",),
#<div class="form-label">
#    Maximum rows to retrieve
#    </div>
("""Maximum rows to retrieve""",),

#lib/python/Shared/DC/ZRDB/dtml/advanced.dtml
("/lib/python/Shared/DC/ZRDB/dtml/advanced.dtml",),
#<div class="form-label">
#    Maximum time (sec) to cache
#    </div>
("""Maximum time (sec) to cache""",),

#lib/python/ZClasses/dtml/addZClass.dtml
("/lib/python/ZClasses/dtml/addZClass.dtml",
"/lib/python/ZClasses/dtml/itemProp.dtml",),
#<div class="form-label">
#    Meta Type
#    </div>
("""Meta Type""",),

#lib/python/Products/ZCatalog/dtml/catalogObjectInformation.dtml
("/lib/python/Products/ZCatalog/dtml/catalogObjectInformation.dtml",),
#<div class="form-label">Metadata Contents</div>
("""Metadata Contents""",),

#lib/python/App/dtml/addFactory.dtml
("/lib/python/App/dtml/addFactory.dtml",
"/lib/python/ZClasses/dtml/views.dtml",
"/lib/python/ZClasses/dtml/views.dtml",),
#<div class="form-label">
#    Method
#    </div>
("""Method""",),

#lib/python/App/dtml/cacheGC.dtml
("/lib/python/App/dtml/cacheGC.dtml",),
#<div class="form-label">
#  Minimize
#  </div>
("""Minimize""",
#  Remove all objects from all ZODB in-memory caches
"""Remove all objects from all ZODB in-memory caches""",
#<dtml-if cacheStatistics>
#<h3>Cache Statistics</h3>
"""Cache Statistics""",
#<dtml-if show_cache_detail>
#  <h4>Cache Details</h4><P>
"""Cache Details""",
#<dtml-if show_cache_extreme_detail>
#  <h4>Objects in the cache</h4><P>
#
#  <table border><tr><th>Object ID</th>
#             <th>Object Class</th>
#             <th>Reference Count</th>
#             <th>References</th>
#          </tr>
"""Objects in the cache""",
"""Object ID""",
"""Object Class""",
"""Reference Count""",
"""References""",
),

#lib/python/Products/ExternalMethod/dtml/methodAdd.dtml
("/lib/python/Products/ExternalMethod/dtml/methodAdd.dtml",
"/lib/python/Products/ExternalMethod/dtml/methodEdit.dtml",),
#<div class="form-label">
#    Module Name
#    </div>
("""Module Name""",),

#lib/python/AccessControl/dtml/addUser.dtml
("/lib/python/AccessControl/dtml/addUser.dtml",
"/lib/python/AccessControl/dtml/editUser.dtml",
"/lib/python/App/dtml/addPermission.dtml",
"/lib/python/App/dtml/editPermission.dtml",
"/lib/python/OFS/dtml/properties.dtml",
"/lib/python/OFS/dtml/properties.dtml",
"/lib/python/OFS/dtml/main.dtml",
#For external Editor
"/Products/ExternalEditor/manage_main.dtml",
"/lib/python/ZClasses/dtml/views.dtml",
"/lib/python/ZClasses/dtml/views.dtml",),
#<div class="form-label">
#  Name
#  </div>
("""Name""",),

#lib/python/Shared/DC/Scripts/dtml/scriptBindings.dtml
("/lib/python/Shared/DC/Scripts/dtml/scriptBindings.dtml",),
#<div class="form-label">
#  Namespace
#  </div>
("""Namespace""",),

#lib/python/App/dtml/cpContents.dtml
("/lib/python/App/dtml/cpContents.dtml",),
#<div class="form-label">
#  Network Services
#  </div>
("""Network Services""",),

#lib/python/AccessControl/dtml/editUser.dtml
("/lib/python/AccessControl/dtml/editUser.dtml",),
#<div class="form-label">
#New Password
#</div>
("""New Password""",),

#lib/python/Products/StandardCacheManagers/dtml/propsAccel.dtml
("/lib/python/Products/StandardCacheManagers/dtml/propsAccel.dtml",),
#<div class="form-label">
#    Notify URLs (via PURGE)
#    </div>
("""Notify URLs (via PURGE)""",),

#lib/python/App/dtml/cacheParameters.dtml
("/lib/python/App/dtml/cacheParameters.dtml",),
#<div class="list-item">Number of active objects</div>
("""Number of active objects""",
#  Total number of objects in the database
"""Total number of objects in the database""",
#  Total number of objects in memory from all caches
"""Total number of objects in memory from all caches""",
#  Target number of objects in memory per cache
"""Target number of objects in memory per cache""",
#  Total number of objects in each cache:
"""Total number of objects in each cache:""",
#    <th><div class="list-item">Total active and non-active objects</div></th>
"""Total active and non-active objects""",
),

#lib/python/Products/ZCatalog/dtml/catalogView.dtml
("/lib/python/Products/ZCatalog/dtml/catalogView.dtml",),
#<div class="list-item">Object Identifier</div>
("""Object Identifier""",),

#lib/python/ZClasses/dtml/subobjects.dtml
("/lib/python/ZClasses/dtml/subobjects.dtml",),
#<div class="form-label">
#  Objects should appear in folder lists?
#    <input type=checkbox name=isFolderish value="Y"
#      <dtml-if isFolderish>CHECKED</dtml-if>
#    >
#  </div>
("""Objects should appear in folder lists?""",),

#lib/python/OFS/dtml/cmassoc.dtml
("/lib/python/OFS/dtml/cmassoc.dtml",),
#<div class="form-label">
#    Of the type(s):
#    </div>
("""Of the type(s):""",),

#lib/python/Products/Sessions/dtml/addIdManager.dtml
("/lib/python/Products/Sessions/dtml/addIdManager.dtml",
"/lib/python/Products/Sessions/dtml/manageIdManager.dtml",),
#<div class="form-label">
#      Only Send Cookie Over HTTPS
#    </div>
("""Only Send Cookie Over HTTPS""",),

#lib/python/OFS/dtml/importExport.dtml
("/lib/python/OFS/dtml/importExport.dtml",),
#<div class="form-label">
#  Ownership
#  </div>
("""Ownership""",),

#lib/python/Shared/DC/Scripts/dtml/scriptTry.dtml
("/lib/python/Shared/DC/Scripts/dtml/scriptTry.dtml",),
#<div class="form-label">
#  Parameter
#  </div>
("""Parameter""",),

#lib/python/Products/PageTemplates/www/ptEdit.zpt
('/lib/python/Products/PageTemplates/www/ptEdit.zpt',),
#<div class="form-optional">
#Content-Type
#</div>
("""Content-Type""",
#<td align="left" valign="top" colspan=2>
#  <a href="source.html" tal:condition="here/html">Browse HTML source</a>
#  <a href="source.xml" tal:condition="not:here/html">Browse XML source</a>
#  <br>
#  <input type="hidden" name="expand:int:default" value="0">
#  <input type="checkbox" value="1" name="expand:int"
#   tal:attributes="checked request/expand | here/expand">
#  Expand macros when editing
"""Expand macros when editing""",),

#lib/python/Products/PythonScripts/www/pyScriptEdit.dtml
("/lib/python/Products/PythonScripts/www/pyScriptEdit.dtml",),
#<div class="form-optional">
#    Parameter List
#    </div>
("""Parameter List""",),

#lib/python/AccessControl/dtml/addUser.dtml
("/lib/python/AccessControl/dtml/addUser.dtml",),
#<div class="form-label">
#  Password
#  </div>
("""Password""",),

#lib/python/Products/SiteAccess/www/SiteRootAdd.dtml
("/lib/python/Products/SiteAccess/www/SiteRootAdd.dtml",
"/lib/python/Products/SiteAccess/www/SiteRootEdit.dtml",),
#<div class="form-optional">
#    Path
#    </div>
("""Path""",),

#lib/python/Products/SiteAccess/www/VirtualHostMonster.dtml
("/lib/python/Products/SiteAccess/www/VirtualHostMonster.dtml",),
#<h3>The Virtual Host Monster supports virtual hosting</h3>
("""The Virtual Host Monster supports virtual hosting""",
#<h3>One is enough</h3>
"""One is enough""",
#<h3>You must add special names in the path</h3>
"""You must add special names in the path""",
#<h3>You add these names by rewriting incoming URLs</h3>
"""You add these names by rewriting incoming URLs""",
#<h3>Inside-out hosting</h3>
"""Inside-out hosting""",),

#lib/python/App/dtml/editFactory.dtml
("/lib/python/App/dtml/editFactory.dtml",),
#<div class="form-label">
#  Permission
#  </div>
("""Permission""",),

#lib/python/AccessControl/dtml/methodAccess.dtml
("/lib/python/AccessControl/dtml/methodAccess.dtml",),
#<div class="form-label">
#  Permission for this object
#  </div>
("""Permission for this object""",
#<div class="form-label">
#Permissions that correspond <br>
#to (i.e. have) this permission
#</div>
"""  Permissions that correspond <br>
  to (i.e. have) this permission""",

),

#lib/python/AccessControl/dtml/methodAccess.dtml
("/lib/python/AccessControl/dtml/methodAccess.dtml",),
#<div class="form-label">
#  Permissions that correspond <br>
#  to (i.e. have) this permission
#  </div>
("""Permissions that correspond <br>
  to (i.e. have) this permission""",),

#lib/python/Products/Sessions/dtml/addDataManager.dtml
("/lib/python/Products/Sessions/dtml/addDataManager.dtml",
"/lib/python/Products/Sessions/dtml/manageDataManager.dtml",),
#<div class="form-label">
#    Place SESSION in REQUEST object as
#    </div>
("""Place SESSION in REQUEST object as""",),

("/lib/python/App/dtml/davLockManager.dtml",),
#    for (i = 0; i < document.objectItems.length; i++)
#      document.objectItems.elements[i].checked = true ;
#      isSelected = true;
#      document.objectItems.selectButton.value = "Deselect All";
#      return isSelected;
#    for (i = 0; i < document.objectItems.length; i++)
#      document.objectItems.elements[i].checked = false ;
#      isSelected = false;
#      document.objectItems.selectButton.value = "Select All";
#      return isSelected;       
#  }

("""Deselect All""",
"""Select All"""
# <tr class="list-header">
#  <td width="60%" class="list-item">Locked Item</td>
#  <td width="40%" class="list-item">Lock Info</td>
# </tr>
"""Locked Item""",
"""Lock Info""",
#  <dtml-in sequence-item mapping>
#   <strong>Owner:</strong> &dtml-owner;,
#   <strong>Token:</strong> &dtml-token;<br />
#  </dtml-in>
"""Owner:""",
"""Token:""",
#<p class="std-text">Search for locked objects starting from path:
"""Search for locked objects starting from path:""",

),


#lib/python/App/dtml/distributionView.dtml
("/lib/python/App/dtml/distributionView.dtml",),
#<div class="form-label">
#  Policy
#  </div>
("""Policy""",
#<div class="form-label">
#  Version
#  </div>
"""Version""",
#<input type="radio" name="redistributable" value="1" checked> 
#Allow redistribution
#<br />
"""Allow redistribution""",
#<input type="radio" name="redistributable" value="0"> Disallow 
#redistribution and allow user to configure 
#<br />&nbsp;&nbsp;&nbsp;&nbsp;
#only the objects  selected below
""" Disallow 
   redistribution and allow user to configure 
  <br />&nbsp;&nbsp;&nbsp;&nbsp;
  only the objects  selected below""",),


#lib/python/OFS/dtml/fileEdit.dtml
("/lib/python/OFS/dtml/fileEdit.dtml",),
#<div class="form-optional">
#  Precondition
#  </div>
("""Precondition""",),

#lib/python/OFS/dtml/imageEdit.dtml
("/lib/python/OFS/dtml/imageEdit.dtml",),
#<div class="form-label">
#  Preview
#  </div>
("""Preview""",),

#lib/python/App/dtml/cpContents.dtml
("/lib/python/App/dtml/cpContents.dtml",),
#<div class="form-label">
#  Process Id
#  </div>
("""Process Id""",),

#lib/python/ZClasses/dtml/addPropertyInterface.dtml
("/lib/python/ZClasses/dtml/addPropertyInterface.dtml",),
#<div class="form-label">
#  Property Sheet
#  </div>
("""Property Sheet""",),

#lib/python/OFS/dtml/documentProxy.dtml
("/lib/python/OFS/dtml/documentProxy.dtml",
"/lib/python/Products/PythonScripts/www/pyScriptProxy.dtml",),
#<div class="form-label">
#  Proxy Roles
#  </div>
("""Proxy Roles""",),

#lib/python/App/dtml/cpContents.dtml
("/lib/python/App/dtml/cpContents.dtml",),
#<div class="form-label">
#  Python Version
#  </div>
("""Python Version""",),

#lib/python/Products/StandardCacheManagers/dtml/propsRCM.dtml
("/lib/python/Products/StandardCacheManagers/dtml/propsRCM.dtml",),
#<div class="form-label">
#    REQUEST variables
#    </div>
("""REQUEST variables""",),

#lib/python/Products/ZCTextIndex/dtml/addZCTextIndex.dtml
("/lib/python/Products/ZCTextIndex/dtml/addZCTextIndex.dtml",),
#<div class="form-label">
#    Ranking Strategy
#    </div>
("""Ranking Strategy""",),

#lib/python/ZClasses/dtml/connectionStatus.dtml
("/lib/python/Shared/DC/ZRDB/dtml/connectionStatus.dtml",),
#<p class="form-text">
#The database connection is <dtml-if 
#connected>open<dtml-else>closed</dtml-if>.
#</p>
("""The database connection is""",
"""open""",
"""closed""",
""".
"""
),

#lib/python/Shared/DC/ZRDB/dtml/searchAdd.dtml
("/lib/python/Shared/DC/ZRDB/dtml/searchAdd.dtml",),
#<div class="form-label">
#  Report Id
#  </div>
("""Report Id""",),

#lib/python/Shared/DC/ZRDB/dtml/searchAdd.dtml
("/lib/python/Shared/DC/ZRDB/dtml/searchAdd.dtml",),
#<div class="form-label">
#  Report Style
#  </div>
("""Report Style""",),

#lib/python/Shared/DC/ZRDB/dtml/searchAdd.dtml
("/lib/python/Shared/DC/ZRDB/dtml/searchAdd.dtml",),
#<div class="form-optional">
#  Report Title
#  </div>
("""Report Title""",),

#lib/python/AccessControl/dtml/addUser.dtml
("/lib/python/AccessControl/dtml/addUser.dtml",
"/lib/python/AccessControl/dtml/editLocalRoles.dtml",
"/lib/python/AccessControl/dtml/editUser.dtml",
"/lib/python/AccessControl/dtml/listLocalRoles.dtml",),
#<div class="form-label">
#  Roles
#  </div>
("""Roles""",),

#lib/python/Products/SiteAccess/www/AccessRuleAdd.dtml
("/lib/python/Products/SiteAccess/www/AccessRuleAdd.dtml",),
#<div class="form-label">
#    Rule Id
#    </div>
("""Rule Id""",),

#lib/python/App/dtml/cpContents.dtml
("/lib/python/App/dtml/cpContents.dtml",),
#<div class="form-label">
#  Running For
#  </div>
("""Running For""",),

#lib/python/Products/MailHost/dtml/addMailHost_form.dtml
("/lib/python/Products/MailHost/dtml/addMailHost_form.dtml",
"/lib/python/Products/MailHost/dtml/manageMailHost.dtml",),
#<div class="form-label">
#    SMTP Host
#    </div>
("""SMTP Host""",),

#lib/python/Products/MailHost/dtml/addMailHost_form.dtml
("/lib/python/Products/MailHost/dtml/addMailHost_form.dtml",
"/lib/python/Products/MailHost/dtml/manageMailHost.dtml",),
#<div class="form-label">
#    SMTP Port
#    </div>
("""SMTP Port""",),

#lib/python/App/dtml/cpContents.dtml
("/lib/python/App/dtml/cpContents.dtml",),
#<div class="form-label">
#  SOFTWARE_HOME
#  </div>
("""SOFTWARE_HOME""",),

#lib/python/Shared/DC/Scripts/dtml/scriptBindings.dtml
("/lib/python/Shared/DC/Scripts/dtml/scriptBindings.dtml",),
#<div class="form-label">
#  Script
#  </div>
("""Script""",),

#lib/python/Products/Transience/dtml/addTransientObjectContainer.dtml
("/lib/python/Products/Transience/dtml/addTransientObjectContainer.dtml",),
#<div class="form-label">
#      Script to call upon object add (optional)
#   </div>
("""Script to call upon object add (optional)""",),

#lib/python/Products/Transience/dtml/addTransientObjectContainer.dtml
("/lib/python/Products/Transience/dtml/addTransientObjectContainer.dtml",),
#<div class="form-label">
#      Script to call upon object delete (optional)
#   </div>
("""Script to call upon object delete (optional)""",),

#lib/python/Products/Transience/dtml/manageTransientObjectContainer.dtml
("/lib/python/Products/Transience/dtml/manageTransientObjectContainer.dtml",),
#<div class="form-label">
#      Script to call when objects are added
#    </div>
("""Script to call when objects are added""",),

#lib/python/Products/Transience/dtml/manageTransientObjectContainer.dtml
("/lib/python/Products/Transience/dtml/manageTransientObjectContainer.dtml",),
#<div class="form-label">
#      Script to call when objects are deleted
#    </div>
("""Script to call when objects are deleted""",),

#lib/python/Shared/DC/ZRDB/dtml/searchAdd.dtml
("/lib/python/Shared/DC/ZRDB/dtml/searchAdd.dtml",),
#<div class="form-optional">
#  Search Input Id
#  </div>
("""Search Input Id""",),

#lib/python/Shared/DC/ZRDB/dtml/searchAdd.dtml
("/lib/python/Shared/DC/ZRDB/dtml/searchAdd.dtml",),
#<div class="form-optional">
#  Search Input Title
#  </div>
("""Search Input Title""",),

#lib/python/Shared/DC/ZRDB/dtml/searchAdd.dtml
("/lib/python/Shared/DC/ZRDB/dtml/searchAdd.dtml",),
#<div class="form-label">
#  Select one<br>or more<br>searchable <br>objects
#  </div>
("""Select one<br>or more<br>searchable <br>objects""",),

#lib/python/ZClasses/dtml/subobjects.dtml
("/lib/python/ZClasses/dtml/subobjects.dtml",),
#<div class="form-label">
#    Select the kinds of things<br>
#    that can be added to objects<br>
#    of this kind:
#    </div>
("""Select the kinds of things<br>
    that can be added to objects<br>
    of this kind:""",),

#lib/python/App/dtml/manage_zmi_prefs.dtml
("/lib/python/App/dtml/manage_zmi_prefs.dtml",),
#<div class="form-label">
#  Show Top Frame
#  </div>
("""Show Top Frame""",),

#lib/python/Products/PluginIndexes/DateRangeIndex/dtml/addDateRangeIndex.dtml
("/lib/python/Products/PluginIndexes/DateRangeIndex/dtml/addDateRangeIndex.dtml",),
#<div class="form-label"> 
#  Since field
#  </div>
("""Since field""",),

#lib/python/Products/PluginIndexes/DateRangeIndex/dtml/manageDateRangeIndex.dtml
("/lib/python/Products/PluginIndexes/DateRangeIndex/dtml/manageDateRangeIndex.dtml",),
#<div class="form-label">
#  Since field
#  </td>
("""Since field""",
#  <div class="form-label">
#  Until field
#  </td>
 """Until field""",),

#lib/python/OFS/dtml/findAdv.dtml
("/lib/python/OFS/dtml/findAdv.dtml",
"/lib/python/OFS/dtml/findResult.dtml",),
#<div class="form-label">
#  Sort results by:
#  </div>
("""Sort results by:""",),

#lib/python/Products/PluginIndexes/TextIndex/dtml/addVocabulary.dtml
("/lib/python/Products/PluginIndexes/TextIndex/dtml/addVocabulary.dtml",),
#<div class="form-optional">
#     Splitter
#     </div>
("""Splitter""",),

#lib/python/Shared/DC/Scripts/dtml/scriptBindings.dtml
("/lib/python/Shared/DC/Scripts/dtml/scriptBindings.dtml",),
#<div class="form-label">
#  Subpath
#  </div>
("""Subpath""",),

#lib/python/Products/ZCatalog/dtml/catalogAdvanced.dtml
("/lib/python/Products/ZCatalog/dtml/catalogAdvanced.dtml",),
#<div class="form-label">
#  Subtransactions
#  </div>
("""Subtransactions""",),

#lib/python/App/dtml/cpContents.dtml
("/lib/python/App/dtml/cpContents.dtml",),
#<div class="form-label">
#  System Platform
#  </div>
("""System Platform""",),

#lib/python/App/dtml/manage_zmi_prefs.dtml
("/lib/python/App/dtml/manage_zmi_prefs.dtml",),
#<div class="form-label">
#  Text Area Height
#  </div>
("""Text Area Height""",),

#lib/python/App/dtml/manage_zmi_prefs.dtml
("/lib/python/App/dtml/manage_zmi_prefs.dtml",),
#<div class="form-label">
#  Text Area Width
#  </div>
("""Text Area Width""",),

#lib/python/Products/Sessions/dtml/addIdManager.dtml
("/lib/python/Products/Sessions/dtml/addIdManager.dtml",),
#<div class="form-label">This object's Zope id must be<br>
#    "browser_id_manager"
#    </div>
("""This object's Zope id must be<br>
    "browser_id_manager\"""",),

#lib/python/Products/StandardCacheManagers/dtml/propsRCM.dtml
("/lib/python/Products/StandardCacheManagers/dtml/propsRCM.dtml",),
#<div class="form-label">
#    Threshold entries
#    </div>
("""Threshold entries""",),

#lib/python/Products/Transience/dtml/addTransientObjectContainer.dtml
("/lib/python/Products/Transience/dtml/addTransientObjectContainer.dtml",
"/lib/python/Products/Transience/dtml/manageTransientObjectContainer.dtml",),
#<div class="form-label">
#      Timeout resolution (in seconds)
#   </div>
("""Timeout resolution (in seconds)""",),

#lib/python/App/dtml/addFactory.dtml
("/lib/python/App/dtml/addFactory.dtml",
"/lib/python/App/dtml/addPermission.dtml",
"/lib/python/App/dtml/addProduct.dtml",
"/lib/python/App/dtml/editFactory.dtml",
"/lib/python/App/dtml/editPermission.dtml",
"/lib/python/OFS/dtml/addOrderedFolder.dtml",
"/lib/python/OFS/dtml/documentAdd.dtml",
"/lib/python/OFS/dtml/documentEdit.dtml",
"/lib/python/OFS/dtml/fileEdit.dtml",
"/lib/python/OFS/dtml/folderAdd.dtml",
"/lib/python/OFS/dtml/imageAdd.dtml",
"/lib/python/OFS/dtml/imageEdit.dtml",
"/lib/python/OFS/dtml/methodAdd.dtml",
"/lib/python/Products/ExternalMethod/dtml/methodAdd.dtml",
"/lib/python/Products/ExternalMethod/dtml/methodEdit.dtml",
"/lib/python/Products/MailHost/dtml/addMailHost_form.dtml",
"/lib/python/Products/MailHost/dtml/manageMailHost.dtml",
"/lib/python/Products/OFSP/dtml/versionAdd.dtml",
"/lib/python/Products/OFSP/dtml/versionEdit.dtml",
"/lib/python/Products/PageTemplates/www/ptEdit.zpt",
"/lib/python/Products/PluginIndexes/TextIndex/dtml/addVocabulary.dtml",
"/lib/python/Products/PythonScripts/www/pyScriptEdit.dtml",
"/lib/python/Products/Sessions/dtml/addDataManager.dtml",
"/lib/python/Products/Sessions/dtml/addIdManager.dtml",
"/lib/python/Products/Sessions/dtml/manageDataManager.dtml",
"/lib/python/Products/Sessions/dtml/manageIdManager.dtml",
"/lib/python/Products/SiteAccess/www/SiteRootAdd.dtml",
"/lib/python/Products/SiteAccess/www/SiteRootEdit.dtml",
"/lib/python/Products/StandardCacheManagers/dtml/propsAccel.dtml",
"/lib/python/Products/StandardCacheManagers/dtml/propsRCM.dtml",
"/lib/python/Products/Transience/dtml/manageTransientObjectContainer.dtml",
"/lib/python/Products/ZCTextIndex/dtml/addLexicon.dtml",
"/lib/python/Products/ZCatalog/dtml/addVocabulary.dtml",
"/lib/python/Products/ZCatalog/dtml/addZCatalog.dtml",
"/lib/python/Products/ZGadflyDA/dtml/connectionAdd.dtml",
"/lib/python/Products/ZGadflyDA/dtml/connectionEdit.dtml",
"/lib/python/Products/ZSQLMethods/dtml/add.dtml",
"/lib/python/Products/ZSQLMethods/dtml/edit.dtml",
"/lib/python/Shared/DC/ZRDB/dtml/connectionAdd.dtml",
"/lib/python/Shared/DC/ZRDB/dtml/connectionEdit.dtml",
"/lib/python/ZClasses/dtml/addCommonSheet.dtml",
"/lib/python/ZClasses/dtml/addIcon.dtml",
"/lib/python/ZClasses/dtml/addPropertyInterface.dtml",
"/lib/python/ZClasses/dtml/addZClass.dtml",
"/lib/python/ZClasses/dtml/itemProp.dtml",),
#<div class="form-optional">
#    Title
#    </div>
("""Title""",),

#lib/python/Products/Transience/dtml/addTransientObjectContainer.dtml
("/lib/python/Products/Transience/dtml/addTransientObjectContainer.dtml",),
#<div class="form-label">
#      Title (optional)
#    </div>
("""Title (optional)""",),

#lib/python/App/dtml/cacheParameters.dtml
("/lib/python/App/dtml/cacheParameters.dtml",),
#<div class="list-item">Total</div>
("""Total""",),

#lib/python/App/dtml/cacheParameters.dtml
("/lib/python/App/dtml/cacheParameters.dtml",),
#<div class="list-item">Total active and non-active objects</div>
("""Total active and non-active objects""",),

#lib/python/App/dtml/cacheParameters.dtml
("/lib/python/App/dtml/cacheParameters.dtml",),
#<div class="form-label">
#  Total number of objects in the database
#  </div>
("""Total number of objects in the database""",),

#lib/python/Products/Sessions/dtml/addDataManager.dtml
("/lib/python/Products/Sessions/dtml/addDataManager.dtml",
"/lib/python/Products/Sessions/dtml/manageDataManager.dtml",),
#<div class="form-label">
#    Transient Object Container Path
#    </div>
("""Transient Object Container Path""",),

#lib/python/OFS/dtml/properties.dtml
("/lib/python/OFS/dtml/properties.dtml",
"/lib/python/OFS/dtml/main.dtml",
#For external Editor
"/Products/ExternalEditor/manage_main.dtml",
"/lib/python/Products/PluginIndexes/DateIndex/dtml/addDateIndex.dtml",
"/lib/python/Products/PluginIndexes/FieldIndex/dtml/addFieldIndex.dtml",
"/lib/python/Products/PluginIndexes/KeywordIndex/dtml/addKeywordIndex.dtml",
"/lib/python/Products/PluginIndexes/PathIndex/dtml/addPathIndex.dtml",
"/lib/python/Products/PluginIndexes/TextIndex/dtml/addTextIndex.dtml",
"/lib/python/Products/PluginIndexes/TopicIndex/dtml/addTopicIndex.dtml",
"/lib/python/Products/ZCatalog/dtml/catalogView.dtml",
"/lib/python/ZClasses/dtml/addPropertyInterface.dtml",),
#<div class="form-label">
#  Type
#  </div>
("""Type""",),

#lib/python/Products/PluginIndexes/TopicIndex/dtml/manageTopicIndex.dtml
("/lib/python/Products/PluginIndexes/TopicIndex/dtml/manageTopicIndex.dtml",),
#<div class="form-label">
#    Type of FilteredSet
#    </div>
("""Type of FilteredSet""",),

#lib/python/Products/PluginIndexes/DateRangeIndex/dtml/addDateRangeIndex.dtml
("/lib/python/Products/PluginIndexes/DateRangeIndex/dtml/addDateRangeIndex.dtml",),
#<div class="form-label"> 
#  Until field
#  </div>
("""Until field""",),

#lib/python/App/dtml/manage_zmi_prefs.dtml
("/lib/python/App/dtml/manage_zmi_prefs.dtml",),
#<div class="form-label">
#  Use Style Sheets
#  </div>
("""Use Style Sheets""",),

#lib/python/AccessControl/dtml/editLocalRoles.dtml
("/lib/python/AccessControl/dtml/editLocalRoles.dtml",
"/lib/python/AccessControl/dtml/listLocalRoles.dtml",),
#<div class="form-label">User</div>
("""User""",),

#lib/python/AccessControl/dtml/access.dtml
("/lib/python/AccessControl/dtml/access.dtml",),
#<div class="form-label">
#  User defined roles
#  </td>
("""User defined roles""",),

#lib/python/OFS/dtml/properties.dtml
("/lib/python/OFS/dtml/properties.dtml",
"/lib/python/OFS/dtml/properties.dtml",
"/lib/python/Shared/DC/Scripts/dtml/scriptTry.dtml",),
#<div class="form-label">
#  Value
#  </div>
("""Value""",),

#lib/python/Products/PluginIndexes/TextIndex/dtml/addTextIndex.dtml
("/lib/python/Products/PluginIndexes/TextIndex/dtml/addTextIndex.dtml",),
#<div class="form-label">
#    Vocabulary
#    </div>
("""Vocabulary""",),

#lib/python/Products/PluginIndexes/TextIndex/dtml/manage_vocab.dtml
("/lib/python/Products/PluginIndexes/TextIndex/dtml/manage_vocab.dtml",
"/lib/python/Products/ZCatalog/dtml/manage_vocab.dtml",),
#<div class="list-item">Word</div>
("""Word""",),

#lib/python/Products/PluginIndexes/TextIndex/dtml/manage_vocab.dtml
("/lib/python/Products/PluginIndexes/TextIndex/dtml/manage_vocab.dtml",
"/lib/python/Products/ZCatalog/dtml/manage_vocab.dtml",),
#<div class="list-item">Word ID</div>
("""Word ID""",),

#lib/python/Shared/DC/ZRDB/dtml/advanced.dtml
("/lib/python/Shared/DC/ZRDB/dtml/advanced.dtml",),
#<div class="form-label">
#    ZClass
#    </div>
("""ZClass""",),

#lib/python/App/dtml/cpContents.dtml
("/lib/python/App/dtml/cpContents.dtml",),
#<div class="form-label">
#  ZOPE_HOME
#  </div>
("""ZOPE_HOME""",),

#lib/python/App/dtml/cpContents.dtml
("/lib/python/App/dtml/cpContents.dtml",),
#<div class="form-label">
#  Zope Version
#  </div>
("""Zope Version""",),

#lib/python/OFS/dtml/findAdv.dtml
("/lib/python/OFS/dtml/findAdv.dtml",
"/lib/python/OFS/dtml/findForm.dtml",
"/lib/python/OFS/dtml/findResult.dtml",
"/lib/python/Products/ZCatalog/dtml/catalogFind.dtml",),
#<div class="form-label">
#  containing:
#  </div>
("""containing:""",),

#lib/python/OFS/dtml/findAdv.dtml
("/lib/python/OFS/dtml/findAdv.dtml",
"/lib/python/OFS/dtml/findResult.dtml",
"/lib/python/Products/ZCatalog/dtml/catalogFind.dtml",),
#<div class="form-label">
#  expr:
#  </div>
("""expr:""",),

#lib/python/OFS/dtml/findAdv.dtml
("/lib/python/OFS/dtml/findAdv.dtml",
"/lib/python/OFS/dtml/findResult.dtml",
"/lib/python/Products/ZCatalog/dtml/catalogFind.dtml",),
#<div class="form-label">
#  have permission:
#  </div>
("""have permission:""",),

#lib/python/OFS/dtml/findAdv.dtml
("/lib/python/OFS/dtml/findAdv.dtml",
"/lib/python/OFS/dtml/findForm.dtml",
"/lib/python/OFS/dtml/findResult.dtml",
"/lib/python/Products/ZCatalog/dtml/catalogFind.dtml",),
#<div class="form-label">
#  modified:
#  </div>
("""modified:""",),

#lib/python/OFS/dtml/historyCompare.dtml
("/lib/python/OFS/dtml/historyCompare.dtml",),
#<div class="form-label">
#  to get to &dtml-id; as of
#  </div>
("""to get to &dtml-id; as of""",),

#lib/python/OFS/dtml/findAdv.dtml
("/lib/python/OFS/dtml/findAdv.dtml",
"/lib/python/OFS/dtml/findResult.dtml",
"/lib/python/Products/ZCatalog/dtml/catalogFind.dtml",),
#<div class="form-label">
#  where the roles:
#  </div>
("""where the roles:""",),

#lib/python/OFS/dtml/findAdv.dtml
("/lib/python/OFS/dtml/findAdv.dtml",
"/lib/python/OFS/dtml/findForm.dtml",
"/lib/python/OFS/dtml/findResult.dtml",
"/lib/python/Products/ZCatalog/dtml/catalogFind.dtml",),
#<div class="form-label">
#  with ids:
#  </div>
("""with ids:""",),
)

if __name__ == '__main__':
    #Test codes...
    print len(label_list)
    prepath = ''
    for item in label_list:
        if type(item) == type((1,)):
            if prepath == item:
                print ">>>",prepath
            prepath = item
        else:
            pass