##############################################################################
#
#----------------------------------------------------------------------------------------------------------------------------------------
#   descriptions.py
#
#   Definitions to replace descriptions in ZMI
#
#   Copyright (c) 2004 Zope Japan KK.(Atsushi Shibata)
#   All Rights Reserved.
#----------------------------------------------------------------------------------------------------------------------------------------
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.0 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#
##############################################################################

#Patch list for description replacements

__doc__="""descriptions.py : Patch list for description replacements'
$Id: descriptions.py,v 1.4 2004/12/24 08:13:14 ats_shib Exp $"""

__version__='$Revision: 1.4 $'[11:-2]


desc_list = (\
#'form_help_dtmldoc':\
#"""You may edit the source for this document using the form below. You 
#may also upload the source for this document from a local file. Click
#the <em>browse</em> button to select a local file to upload.""",

#lib/python/AccessControl/dtml/access.dtml
#<p class="form-help">
#The listing below shows the current security settings for this item. 
#Permissions are rows and roles are columns.  Checkboxes are used to
#indicate where roles are assigned permissions. You can also assign 
#<strong><a href="manage_listLocalRoles">local roles</a></strong> to 
#users, which give users extra roles in the context of this object and 
#its subobjects.
#</p>
('/lib/python/AccessControl/dtml/access.dtml',),\
{"desc_access": \
"""The listing below shows the current security settings for this item. 
Permissions are rows and roles are columns.  Checkboxes are used to
indicate where roles are assigned permissions. You can also assign 
<strong><a href=\"manage_listLocalRoles\">local roles</a></strong> to 
users, which give users extra roles in the context of this object and 
its subobjects.""",

#lib/python/AccessControl/dtml/access.dtml
#<p class="form-help">  
#When a role is assigned to a permission, users with the given role
#will be able to perform tasks associated with the permission on this
#item. When the <em>Acquire permission settings</em> checkbox is selected
#then the containing objects's permission settings are used. Note: the
#acquired permission settings may be augmented by selecting Roles for
#a permission in addition to selecting to acquire permissions.
#</p>
"desc_access_2": \
"""When a role is assigned to a permission, users with the given role
will be able to perform tasks associated with the permission on this
item. When the <em>Acquire permission settings</em> checkbox is selected
then the containing objects's permission settings are used. Note: the
acquired permission settings may be augmented by selecting Roles for
a permission in addition to selecting to acquire permissions.""",
#<p class="form-help" >
#You can define new roles by entering a role name and clicking the 
#&quot;Add Role&quot; button.
#</p>
"desc_access3": \
"""You can define new roles by entering a role name and clicking the 
&quot;Add Role&quot; button.""",


},

#lib/python/AccessControl/dtml/acquiredEdit.dtml
#<p class="form-help">
#Select permissions that acquire permission settings:
#</p>
('/lib/python/AccessControl/dtml/acquiredEdit.dtml',),
{"desc_acquirededit": \
"""Select permissions that acquire permission settings:"""},

#lib/python/AccessControl/dtml/addUser.dtml
#<p class="form-help">
#To add a new user, enter the name <dtml-unless remote_user_mode__>
#,password, confirmation</dtml-unless> and roles for the new user and 
#click &quot;Add&quot;. <em>Domains</em> is an optional list of domains 
#from which the user is allowed to login. 
#</p>
('/lib/python/AccessControl/dtml/addUser.dtml',),
{"desc_adduser": \
"""To add a new user, enter the name <dtml-unless remote_user_mode__>
,password, confirmation</dtml-unless> and roles for the new user and 
click &quot;Add&quot;. <em>Domains</em> is an optional list of domains 
from which the user is allowed to login."""},

#lib/python/AccessControl/dtml/editLocalRoles.dtml
#<p class="form-help">
#Local roles allow you to give particular users extra roles in the 
#context of this object, in addition to the roles they already have. 
#</p>
('/lib/python/AccessControl/dtml/editLocalRoles.dtml',),
{"desc_editlocalroles": \
"""Local roles allow you to give particular users extra roles in the 
context of this object, in addition to the roles they already have.""",

#lib/python/AccessControl/dtml/editLocalRoles.dtml
#<p class="form-help">
#To change the local roles for this user, select the extra roles this 
#user should have in the context of this object and click the <em>
#Save Changes</em> button.
#</p>
"desc_editlocalroles_2": \
"""To change the local roles for this user, select the extra roles this 
user should have in the context of this object and click the <em>
Save Changes</em> button."""},

#lib/python/AccessControl/dtml/listLocalRoles.dtml
#<p class="form-help">
#Local roles allow you to give particular users extra roles in the context 
#of this object, in addition to the roles they already have. 
#</p>
('/lib/python/AccessControl/dtml/listLocalRoles.dtml',),
{"desc_listlocalroles": \
"""Local roles allow you to give particular users extra roles in the context 
of this object, in addition to the roles they already have.""",

#lib/python/AccessControl/dtml/listLocalRoles.dtml
#<p class="form-help">
#The following users have been given local roles. To modify the local roles 
#given to a particular user, click on the name of the user. To remove all 
#local roles from a user, select the checkbox next to the name of the user 
#and click the <em>Remove</em> button.
#</p>
"desc_listlocalroles_2": \
"""The following users have been given local roles. To modify the local roles 
given to a particular user, click on the name of the user. To remove all 
local roles from a user, select the checkbox next to the name of the user 
and click the <em>Remove</em> button.""",

#<p>
#To give a user extra roles when accessing this object (and its children), 
#select a user from the <em>User</em> list below, select the extra 
#roles that should be given to that user from the <em>Roles</em> list.
#</p>
"desc_listlocalroles_3": \
"""To give a user extra roles when accessing this object (and its children), 
select a user from the <em>User</em> list below, select the extra 
roles that should be given to that user from the <em>Roles</em> list.""",
},

#lib/python/AccessControl/dtml/mainUser.dtml
#<p class="form-help">
#The following users have been defined. Click on the name of a 
#user to edit that user.
#</p>
('/lib/python/AccessControl/dtml/mainUser.dtml',),
{"desc_mainuser": \
"""The following users have been defined. Click on the name of a 
user to edit that user.""",

#<p class="std-text">
#There are no users defined.
#</p>
"desc_mainuser2": \
"""There are no users defined.""",
},

#lib/python/AccessControl/dtml/methodAccess.dtml
#<p class="form-help">
#This interface is used to define how the operations of this object 
#correspond to the operations defined by your product or ZClass.
#</p>
('/lib/python/AccessControl/dtml/methodAccess.dtml',),
{"desc_methodaccess": \
"""This interface is used to define how the operations of this object 
correspond to the operations defined by your product or ZClass.""",

#lib/python/AccessControl/dtml/methodAccess.dtml
#<p class="form-help">
#The first column below lists the permissions for this object.  The second 
#specifies the permissions that should have this permission in this product 
#or ZClass. For ZClass methods, only permissions that are defined for the 
#ZClass are permitted.
#</p>
"desc_methodaccess_2": \
"""The first column below lists the permissions for this object.  The second 
specifies the permissions that should have this permission in this product 
or ZClass. For ZClass methods, only permissions that are defined for the 
ZClass are permitted.""",

#lib/python/AccessControl/dtml/methodAccess.dtml
#<p class="form-help">
#In general, any permissions that include operations that change (mutate) 
#an object should be disabled. The listing below shows the current permission 
#mappings for this item.
#</p>
"desc_methodaccess_3": \
"""In general, any permissions that include operations that change (mutate) 
an object should be disabled. The listing below shows the current permission 
mappings for this item.""",

#lib/python/AccessControl/dtml/methodAccess.dtml
#<option value=""<dtml-unless 
#   class_permission> selected</dtml-unless>>(disabled)</option>
"desc_methodaccess_4": \
"""(disabled)"""},

#lib/python/AccessControl/dtml/owner.dtml
#<p class="form-help">
#Almost all Zope objects can be owned. When you create an object you
#become its owner. Ownership matters for method objects since
#it determines what roles they have when they are executed. See the
#<em>Proxy Roles</em> view of method objects for more information.
#</p>
('/lib/python/AccessControl/dtml/owner.dtml',),
{"desc_owner": \
"""Almost all Zope objects can be owned. When you create an object you
become its owner. Ownership matters for method objects since
it determines what roles they have when they are executed. See the
<em>Proxy Roles</em> view of method objects for more information.""",

#lib/python/AccessControl/dtml/owner.dtml
#<p class="form-help">
#If you have the <i>Take Ownership</i> permission you can take ownership
#of an object. Usually when taking ownership you should also take
#ownership of sub-objects as well.
#</p>
"desc_owner_2": \
"""If you have the <i>Take Ownership</i> permission you can take ownership
of an object. Usually when taking ownership you should also take
ownership of sub-objects as well.""",

#<strong>
#This object is <dtml-if owner_info><dtml-with 
#owner_info mapping>owned by &dtml-id; (&dtml-path;).</dtml-with
#><dtml-else>unowned.</dtml-if>
#</strong>
"desc_owner_3": \
"""This object is """,
"desc_owner_4": \
"""owned by """,
"desc_owner_5": \
"""unowned.""",
},

('/lib/python/AccessControl/dtml/userFolderProps.dtml',),
#lib/python/AccessControl/dtml/userFolderProps.dtml
# <td align="left" valign="center" class="form-label">
# Role assignment presents search dialog when more users than N (-1 is always, 0 is never).
#</td>
{"desc_userfolderprops":\
"""Role assignment presents search dialog when more users than N (-1 is always, 0 is never).""",
},

#lib/python/App/dtml/addFactory.dtml
#<p class="form-help">
#A Factory allows you to place entries in the Zope Product add list. In the 
#form below the <em>add list name</em> is the name under which your entry will 
#appear in the Zope Product add list. The <em>method</em> is the method that 
#will be invoked when a user adds a new object.  This must be one of the 
#objects in the product, typically a Python Script or DTML object.
#</p>
('/lib/python/App/dtml/addFactory.dtml',),
{"desc_addfactory": \
"""A Factory allows you to place entries in the Zope Product add list. In the 
form below the <em>add list name</em> is the name under which your entry will 
appear in the Zope Product add list. The <em>method</em> is the method that 
will be invoked when a user adds a new object.  This must be one of the 
objects in the product, typically a Python Script or DTML object.""",

#lib/python/App/dtml/addFactory.dtml
#<p class="form-help">
#Before you can define a factory, you have to define one or more "methods", 
#such as Document or other objects that do the factory's work.
#</p>
"desc_addfactory_2": \
"""Before you can define a factory, you have to define one or more \"methods\", 
such as Document or other objects that do the factory's work."""},

#lib/python/App/dtml/addProduct.dtml
#<p class="form-help">
#Products allows you to define new types of Zope objects. A Product contains 
#other objects including a Factory which allows you to make your Product 
#objects available via the Product add list.
#</p>
('/lib/python/App/dtml/addProduct.dtml',),
{"desc_addproduct": \
"""Products allows you to define new types of Zope objects. A Product contains 
other objects including a Factory which allows you to make your Product 
objects available via the Product add list."""},

#lib/python/App/dtml/cpContents.dtml
#<p class="form-help">
#The Control Panel provides access to system information and management 
#functions such as database and product management.  
#</p>
('/lib/python/App/dtml/cpContents.dtml',),
{"desc_cpcontents": \
"""The Control Panel provides access to system information and management 
functions such as database and product management."""},

#/lib/python/App/dtml/davLockManager.dtml
#<dtml-if lockedobjs>
# <p class="std-text">All locked objects
# <dtml-if frompath>from path <em>&dtml-frompath;</em></dtml-if>
# are listed below.</p>
#<dtml-else>
# <p class="std-text">No locked objects
# <dtml-if frompath>from path <em>&dtml-frompath;</em></dtml-if>
# were found.</p>
#</dtml-if>
('/lib/python/App/dtml/davLockManager.dtml',),
{"desc_davlockmanager1": \
"""All locked objects""",
"desc_davlockmanager2": \
"""from path """,
"desc_davlockmanager3": \
"""are listed below.""",
"desc_davlockmanager4": \
"""No locked objects""",
"desc_davlockmanager5": \
"""were found.""",},

#lib/python/App/dtml/dbMain.dtml
#<p class="form-help">
#The Database Manager allows you to view database status information.
#It also allows you to perform maintenance tasks such as database packing 
#and cache management.
#</p>
('/lib/python/App/dtml/dbMain.dtml',),
{"desc_dbmain": \
"""The Database Manager allows you to view database status information.
It also allows you to perform maintenance tasks such as database packing 
and cache management.""",

#lib/python/App/dtml/dbMain.dtml
#  <td align="left" valign="top">
#  <span class="form-text">
#  Click <em>pack</em> to pack the Zope database, removing previous revisions 
#  of objects that are older than</span>
#  <input type="text" name="days:float" value="0" size="3">
#  <span class="form-text"> days.</span>
#  </td>
"desc_dbmain2": \
"""Click <em>pack</em> to pack the Zope database, removing previous revisions 
  of objects that are older than""",
"desc_dbmain3": \
"""days."""
},

#lib/python/App/dtml/distributionView.dtml
#<p class="form-help">
#You can create a packaged version of this product that can be 
#distributed to other Zope users using the form below.
#</p>
('/lib/python/App/dtml/distributionView.dtml',),
{"desc_distributionview": \
"""You can create a packaged version of this product that can be 
distributed to other Zope users using the form below."""},

#lib/python/App/dtml/editFactory.dtml
#<p class="form-help">
#The <strong>initial method</strong> is the method that will be invoked 
#when a user adds a new object.  This must be one of the objects in the 
#product, typically a Document.
#</p>
('/lib/python/App/dtml/editFactory.dtml',),
{"desc_editfactory": \
"""The <strong>initial method</strong> is the method that will be invoked 
when a user adds a new object.  This must be one of the objects in the 
product, typically a Document."""},

#lib/python/App/dtml/manage_top_frame.dtml
#<option value="zope_quick_start">Zope Quick Start</option>
('/lib/python/App/dtml/manage_top_frame.dtml',),
{"desc_manage_top_frame": \
"""Zope Quick Start""",

#lib/python/App/dtml/manage_top_frame.dtml
#<option value="manage_zmi_prefs">Set Preferences</option>
"desc_manage_top_frame_2": \
"""Set Preferences""",

#lib/python/App/dtml/manage_top_frame.dtml
#<option value="manage_zmi_logout">Logout</option>
"desc_manage_top_frame_3": \
"""Logout"""},

#lib/python/App/dtml/manage_zmi_prefs.dtml
#<p class="form-help">
#This form lets you tweak the Zope management interface to fit
#your browser.  Note that you need to press the browser reload
#button in order for some changes to take effect.
#</p>
('/lib/python/App/dtml/manage_zmi_prefs.dtml',),
{"desc_manage_zmi_prefs": \
"""This form lets you tweak the Zope management interface to fit
your browser.  Note that you need to press the browser reload
button in order for some changes to take effect."""},

#lib/python/App/dtml/menu.dtml
#<option value="zope_quick_start">Zope Quick Start</option>
('/lib/python/App/dtml/menu.dtml',),
{"desc_menu": \
"""Zope Quick Start""",

#lib/python/App/dtml/menu.dtml
#<option value="manage_zmi_prefs">Set Preferences</option>
"desc_menu_2": \
"""Set Preferences""",

#lib/python/App/dtml/menu.dtml
#<option value="manage_zmi_logout">Logout</option>
"desc_menu_3": \
"""Logout"""},

#lib/python/App/dtml/profile.dtml
#<p class="form-help">
#Profiling information is generated using the standard Python 
#profiler. To learn how to interpret the profiler statistics, 
#see the <a href="http://www.python.org/doc/current/lib/module-profile.html">
#Python profiler documentation</a>.
#</p>
('/lib/python/App/dtml/profile.dtml',),
{"desc_profile": \
"""Profiling information is generated using the standard Python 
profiler. To learn how to interpret the profiler statistics, 
see the <a href=\"http://www.python.org/doc/current/lib/module-profile.html\">
Python profiler documentation</a>."""},

#lib/python/App/dtml/undo.dtml
#<p class="form-help">
#This application's transactional feature allows you to easily undo changes 
#made to the application's settings or data. You can revert the application 
#to a &quot;snapshot&quot; of its state at a previous point in time.
#</p>
('/lib/python/App/dtml/undo.dtml',),
{"desc_undo": \
"""This application's transactional feature allows you to easily undo changes 
made to the application's settings or data. You can revert the application 
to a &quot;snapshot&quot; of its state at a previous point in time.""",

#lib/python/App/dtml/undo.dtml
#<p class="form-help">
#Select one or more transactions below and then click on the &quot;Undo&quot;
#button to undo those transactions.  Note that even though a transaction
#is shown below, you may not be able to undo it if later transactions
#modified objects that were modified by a selected transaction.
#</p>
"desc_undo_2": \
"""Select one or more transactions below and then click on the &quot;Undo&quot;
button to undo those transactions.  Note that even though a transaction
is shown below, you may not be able to undo it if later transactions
modified objects that were modified by a selected transaction.""",
#<p>
#There are no transactions that can be undone.
#</p>
"desc_undo3":
"""There are no transactions that can be undone.""",
},

#lib/python/App/dtml/versionManager.dtml
#<p class="form-help">
#Select one or more versions below and then click on the &quot;Save&quot;
#button to save the versions or click on the &quot;Discard&quot; button to
#discard changes made in the versions.
#</p>
('/lib/python/App/dtml/versionManager.dtml',),
{"desc_versionmanager": \
"""Select one or more versions below and then click on the &quot;Save&quot;
button to save the versions or click on the &quot;Discard&quot; button to
discard changes made in the versions.""",

#lib/python/App/dtml/versionManager.dtml
#<p class="form-help">
#There are no non-empty versions.
#</p>
"desc_versionmanager_2": \
"""There are no non-empty versions."""},

#lib/python/OFS/dtml/addOrderedFolder.dtml
#<p class="form-help">
#A ordered Folder contains other objects. Use Folders to organize your
#web objects in to logical groups. The <em>create public interface</em> 
#option creates an index document inside the Folder to give the
#Folder a default HTML representation. The <em>create user folder</em>
#option creates a User Folder inside the Folder to hold authorization
#information for the Folder.
#</p>
('/lib/python/OFS/dtml/addOrderedFolder.dtml',),
{"desc_addorderedfolder": \
"""A ordered Folder contains other objects. Use Folders to organize your
web objects in to logical groups. The <em>create public interface</em> 
option creates an index document inside the Folder to give the
Folder a default HTML representation. The <em>create user folder</em>
option creates a User Folder inside the Folder to hold authorization
information for the Folder."""},

#lib/python/OFS/dtml/cacheable.dtml
#<option value="">(None)</option>
('/lib/python/OFS/dtml/cacheable.dtml',),
{"desc_cacheable": \
"""(None)"""},

#lib/python/OFS/dtml/cmassoc.dtml
#<p class="form-help">
#Select which objects should be cached using this cache manager.  Only
#those objects for which you have the "Change cache settings" permission
#are shown.
#</p>
('/lib/python/OFS/dtml/cmassoc.dtml',),
{"desc_cmassoc": \
"""Select which objects should be cached using this cache manager.  Only
those objects for which you have the \"Change cache settings\" permission
are shown."""},

#lib/python/OFS/dtml/documentAdd.dtml
#<p class="form-help">
#A DTML Document is used to hold text content. It can contain
#HTML, XML, plain text, structured-text, etcetera.
#A DTML document can contain
#<a href="http://www.zope.org/Documentation/Guides/DTML/">DTML
#scripting tags</a>.
#A DTML Document differs from a DTML Method in that it has properties
#and does not call methods on its container object.
#</p>
('/lib/python/OFS/dtml/documentAdd.dtml',),
{"desc_documentadd": \
"""A DTML Document is used to hold text content. It can contain
HTML, XML, plain text, structured-text, etcetera.
A DTML document can contain
<a href=\"http://www.zope.org/Documentation/Guides/DTML/\">DTML
scripting tags</a>.
A DTML Document differs from a DTML Method in that it has properties
and does not call methods on its container object.""",

#lib/python/OFS/dtml/documentAdd.dtml
#<p class="form-help">
#You may create a new DTML Document using the form below. 
#You may also choose to upload an existing html file from your
#local computer by clicking the <I>Browse</I> button.
#</p>
"desc_documentadd_2": \
"""You may create a new DTML Document using the form below. 
You may also choose to upload an existing html file from your
local computer by clicking the <I>Browse</I> button."""},

#lib/python/OFS/dtml/documentEdit.dtml
#<p class="form-help">
#You may edit the source for this document using the form below. You 
#may also upload the source for this document from a local file. Click
#the <em>browse</em> button to select a local file to upload.
#</p>
('/lib/python/OFS/dtml/documentEdit.dtml',
 '/lib/python/Products/ZReST/dtml/manage_editForm.dtml',),
{"desc_documentedit": \
"""You may edit the source for this document using the form below. You 
may also upload the source for this document from a local file. Click
the <em>browse</em> button to select a local file to upload.""",},

#lib/python/OFS/dtml/documentProxy.dtml
#<p class="form-help">
#Proxy roles allow you to control the access that a DTML document or
#method has. Proxy roles replace the roles of the user who is viewing
#the document or method.  This can be used to both expand and limit
#access to resources. Select the proxy roles for this object from 
#the list below.
#</p>
('/lib/python/OFS/dtml/documentProxy.dtml',),
{"desc_documentproxy": \
"""Proxy roles allow you to control the access that a DTML document or
method has. Proxy roles replace the roles of the user who is viewing
the document or method.  This can be used to both expand and limit
access to resources. Select the proxy roles for this object from 
the list below."""},

#lib/python/OFS/dtml/fileEdit.dtml
#<p class="form-help">
#You can update the data for this file object using the form below. 
#Select a data file from your local computer by clicking the <em>browse</em> 
#button and click <em>upload</em> to update the contents of the
#file. You may also edit the file content directly if the content is a 
#text type and small enough to be edited in a text area.
#</p>
('/lib/python/OFS/dtml/fileEdit.dtml',),
{"desc_fileedit": \
"""You can update the data for this file object using the form below. 
Select a data file from your local computer by clicking the <em>browse</em> 
button and click <em>upload</em> to update the contents of the
file. You may also edit the file content directly if the content is a 
text type and small enough to be edited in a text area."""},

#lib/python/OFS/dtml/findForm.dtml
#<p class="form-help">
#Find allows you to locate Zope objects based on different
#criteria. For more find choices choose the <EM>Advanced</EM>
#find option.
#</p>
('/lib/python/OFS/dtml/findForm.dtml',),
{"desc_findform": \
"""Find allows you to locate Zope objects based on different
criteria. For more find choices choose the <EM>Advanced</EM>
find option."""},

("/lib/python/OFS/dtml/findResult.dtml",),
#<p class="std-text">
#Displaying items
{"desc_findresult1":\
"""Displaying items""",
#<dtml-if sequence-start>&dtml-sequence-number;</dtml-if><dtml-if 
# sequence-end>-&dtml-sequence-number; of <dtml-var 
# "_.len(results)"></dtml-if></dtml-in> items matching your query. You can 
#<a href="#form">revise</a> your search terms below.
"desc_findresult3":\
""" items matching your query. You can 
<a href="#form">revise</a> your search terms below.""",
"desc_findresult4":\
#<p class="std-text">
#No items were found matching your query. You can <a href="#form">revise</a> 
#your search terms below.
#</p>
"""No items were found matching your query. You can <a href="#form">revise</a> 
your search terms below.""",},


#lib/python/OFS/dtml/folderAdd.dtml
#<p class="form-help">
#A Folder contains other objects. Use Folders to organize your
#web objects in to logical groups. The <em>create public interface</em> 
#option creates an index document inside the Folder to give the
#Folder a default HTML representation. The <em>create user folder</em>
#option creates a User Folder inside the Folder to hold authorization
#information for the Folder.
#</p>
('/lib/python/OFS/dtml/folderAdd.dtml',),
{"desc_folderadd": \
"""A Folder contains other objects. Use Folders to organize your
web objects in to logical groups. The <em>create public interface</em> 
option creates an index document inside the Folder to give the
Folder a default HTML representation. The <em>create user folder</em>
option creates a User Folder inside the Folder to hold authorization
information for the Folder."""},

#lib/python/OFS/dtml/imageAdd.dtml
#<p class="form-help">
#Select a file to upload from your local computer by clicking the
#<em>Browse</em> button.
#</p>
('/lib/python/OFS/dtml/imageAdd.dtml',),
{"desc_imageadd": \
"""Select a file to upload from your local computer by clicking the
<em>Browse</em> button."""},

#lib/python/OFS/dtml/imageEdit.dtml
#<p class="form-help">
#You can update the data for this &dtml-kind; using the form below. 
#Select a data file from your local computer by clicking the <em>browse</em> 
#button and click <em>upload</em> to update the contents of the &dtml-kind;.
#</p>
('/lib/python/OFS/dtml/imageEdit.dtml',),
{"desc_imageedit1": \
"""You can update the data for this""",
"desc_imageedit2": \
"""using the form below. 
Select a data file from your local computer by clicking the <em>browse</em> 
button and click <em>upload</em> to update the contents of the""",
"desc_imageedit3": \
""".
</p>"""},

#lib/python/OFS/dtml/importExport.dtml
#<p class="form-help">
#You can export Zope objects to a file in order to transfer
#them to a different Zope installation. You can either choose
#to download the export file to your local machine, or save it
#in the &quot;var&quot; directory of your Zope installation 
#on the server.
#</p>
('/lib/python/OFS/dtml/importExport.dtml',),
{"desc_importexport": \
"""You can export Zope objects to a file in order to transfer
them to a different Zope installation. You can either choose
to download the export file to your local machine, or save it
in the &quot;var&quot; directory of your Zope installation 
on the server.""",

#lib/python/OFS/dtml/importExport.dtml
#<p class="form-help">
#You may import Zope objects which have been previously
#exported to a file, by placing the file in the &quot;import&quot;
#directory of your Zope installation on the server. You should create 
#the &quot;import&quot; directory in the root of your Zope installation 
#if it does not yet exist.
#</p>
"desc_importexport_2": \
"""You may import Zope objects which have been previously
exported to a file, by placing the file in the &quot;import&quot;
directory of your Zope installation on the server. You should create 
the &quot;import&quot; directory in the root of your Zope installation 
if it does not yet exist.""",

#lib/python/OFS/dtml/importExport.dtml
#<p class="form-help">
#Note that by default, you will become the owner of the objects 
#that you are importing. If you wish the imported objects to retain 
#their existing ownership information, select "retain existing 
#ownership information".
#</p>
"desc_importexport_3": \
"""Note that by default, you will become the owner of the objects 
that you are importing. If you wish the imported objects to retain 
their existing ownership information, select \"retain existing 
ownership information\"."""},

#lib/python/OFS/dtml/main.dtml
#<div class="std-text">
#There are currently no items in <em>&dtml-title_or_id;</em>
#<br /><br />
#</div>
('/lib/python/OFS/dtml/main.dtml',
#For external Editor
'/Products/ExternalEditor/manage_main.dtml',),
{"desc_main": \
"""There are currently no items in""",},

#lib/python/OFS/dtml/methodAdd.dtml
#<p class="form-help">
#A DTML Method is used to hold scripting tags and text content.
#It can contain HTML, XML, plain text, structured-text, etcetera.
#A DTML Method can contain
#<a href="http://www.zope.org/Documentation/Guides/DTML/">DTML
#scripting tags</a> which operate in the context of the DTML Method's
#containing object.
#A DTML Method differs from a DTML Document in that it does not 
#have properties and calls methods on its container object.
#</p>
('/lib/python/OFS/dtml/methodAdd.dtml',),
{"desc_methodadd": \
"""A DTML Method is used to hold scripting tags and text content.
It can contain HTML, XML, plain text, structured-text, etcetera.
A DTML Method can contain
<a href=\"http://www.zope.org/Documentation/Guides/DTML/\">DTML
scripting tags</a> which operate in the context of the DTML Method's
containing object.
A DTML Method differs from a DTML Document in that it does not 
have properties and calls methods on its container object.""",

#lib/python/OFS/dtml/methodAdd.dtml
#<p class="form-help">
#You may create a new DTML Method object using the form below. 
# You may also choose to upload an existing html file from your
# local computer by clicking the <I>Browse</I> button.
#</p>
"desc_methodadd_2": \
"""You may create a new DTML Method object using the form below. 
 You may also choose to upload an existing html file from your
 local computer by clicking the <I>Browse</I> button."""},

#lib/python/OFS/dtml/properties.dtml
#<p class="form-help">
#Properties allow you to assign simple values to Zope objects. To change 
#property values, edit the values and click &quot;Save Changes&quot;. 
#</p>
('/lib/python/OFS/dtml/properties.dtml',),
{"desc_properties": \
"""Properties allow you to assign simple values to Zope objects. To change 
property values, edit the values and click &quot;Save Changes&quot;.""",

#lib/python/OFS/dtml/properties.dtml
#<p class="form-help">
#Properties allow you to assign simple values to Zope objects. There are 
#currently no properties defined for this item. <dtml-if 
#property_extensible_schema__>To add a property, enter a name, type 
#and value and click the &quot;Add&quot; button.
#</dtml-if>
#</p>
"desc_properties_2": \
"""To add a property, enter a name, type 
and value and click the &quot;Add&quot; button.""",

#lib/python/OFS/dtml/properties.dtml
#<p class="form-help">
#To add a new property, enter a name, type and value for the new 
#property and click the &quot;Add&quot; button. 
#</p>
"desc_properties_3": \
"""To add a new property, enter a name, type and value for the new 
property and click the &quot;Add&quot; button."""},

#lib/python/Products/ExternalMethod/dtml/methodAdd.dtml
#<p class="form-help">
#External Methods allow you to add functionality to Zope by writing Python
#functions which are exposed as callable Zope objects. The <em>module name</em> 
#should give the name of the Python module without the &quot;.py&quot; 
#file extension. The <em>function name</em> should name a callable object 
#found in the module.
#</p>
('/lib/python/Products/ExternalMethod/dtml/methodAdd.dtml',),
{"desc_methodadd_3": \
"""External Methods allow you to add functionality to Zope by writing Python
functions which are exposed as callable Zope objects. The <em>module name</em> 
should give the name of the Python module without the &quot;.py&quot; 
file extension. The <em>function name</em> should name a callable object 
found in the module."""},

#lib/python/Products/MailHost/dtml/addMailHost_form.dtml
#<p class="form-help">
#MailHost object provide a way to send email from Zope code in DTML or 
#Python Scripts. <em>SMTP host</em> is the name of the mail server machine.
#<em>SMTP port</em> is the port on which the mail server is running the 
#SMTP service.
#</p>
('/lib/python/Products/MailHost/dtml/addMailHost_form.dtml',),
{"desc_addmailhost_form": \
"""MailHost object provide a way to send email from Zope code in DTML or 
Python Scripts. <em>SMTP host</em> is the name of the mail server machine.
<em>SMTP port</em> is the port on which the mail server is running the 
SMTP service."""},

#lib/python/Products/OFSP/dtml/draftAdd.dtml
#<p class="form-help">
#A Draft allows you to make a working copy of a Zope object. 
#After you change the Draft, you can commit the changes to
#the original object.
#</p>
('/lib/python/Products/OFSP/dtml/draftAdd.dtml',),
{"desc_draftadd": \
"""A Draft allows you to make a working copy of a Zope object. 
After you change the Draft, you can commit the changes to
the original object."""},

#lib/python/Products/OFSP/dtml/version.dtml
('/lib/python/Products/OFSP/dtml/version.dtml',),
#<p class="form-text">
#You cannot start working in this version while another version, 
#<strong>&dtml-Zope-Version;</strong> is active. 
#Leave <strong>&dtml-Zope-Version;</strong> first and then 
#you may work in this version.
#</p>
{"desc_version1": \
"""  You cannot start working in this version while another version, """,
"desc_version2": \
""" is active. 
  Leave """,
"desc_version3": \
"""first and then 
  you may work in this version.""",

"desc_version4": \
#<p class="form-text">
#You <strong>are</strong> currently working in the
#&dtml-Zope-Version; version. 
#</p>
"""  You <strong>are</strong> currently working in the""",
"desc_version5": \
""" version. """,
#<p class="form-text">
#You <strong>are not</strong> currently working in the
#&dtml-title_and_id;
#version.
#</p>
"desc_version6": \
"""  You <strong>are not</strong> currently working in the""",
},


#lib/python/Products/OFSP/dtml/versionAdd.dtml
#<p class="form-help">
#A Version allows you to make changes to Zope in a private session. After 
#you review the changes you can make them live.
#</p>
('/lib/python/Products/OFSP/dtml/versionAdd.dtml',),
{"desc_versionadd": \
"""A Version allows you to make changes to Zope in a private session. After 
you review the changes you can make them live."""},

#lib/python/Products/OFSP/dtml/versionEnd.dtml
#<p class="form-help">
#To save work done in version 
#&dtml-id;<dtml-if Zope-Version><dtml-if "_vars['Zope-Version'] != cookie">
# <strong>to version 
#<em>&dtml-Zope-Version;</em></strong></dtml-if></dtml-if>,
#click on the &quot;Save&quot; button. To discard work done in
#version &dtml-id;, click on the &quot;Discard&quot; button.
#In either case, enter a comment to document the reason for 
#saving or discarding the version.
#</p>
('/lib/python/Products/OFSP/dtml/versionEnd.dtml',),
{"desc_versionend1": \
"""To save work done in version """,
"desc_versionend2": \
"""to version """,
"desc_versionend3": \
""",
click on the &quot;Save&quot; button. To discard work done in
version """,

"desc_versionend4": \
""", click on the &quot;Discard&quot; button.
In either case, enter a comment to document the reason for 
saving or discarding the version.""",

#lib/python/Products/OFSP/dtml/versionEnd.dtml
#<p class="form-help">
#No unsaved work has been done in this version.
#</p>
"desc_versionend_2": \
"""No unsaved work has been done in this version."""},

#lib/python/Products/PageTemplates/www/ptAdd.pt
#<p class="form-help">
#Page Templates allow you to use simple HTML or XML attributes to
#create dynamic templates.  You may choose to upload the template text
#from a local file by typing the file name or using the <em>browse</em>
#button.
#</p>
('/lib/python/Products/PageTemplates/www/ptAdd.zpt',),
{"desc_ptadd_1":
"""Page Templates allow you to use simple HTML or XML attributes to
create dynamic templates.  You may choose to upload the template text
from a local file by typing the file name or using the <em>browse</em>
button.""",},

#lib/python/Products/PageTemplates/www/ptEdit.pt
#<p class="form-help">
#You can upload the text for <span tal:replace="here/title_and_id" />
#using the following form.
#Choose an existing HTML or XML file from your local computer by clicking
#<em>browse</em>.  You can also <a href="document_src">click here</a>
#to view or download the current text.
#</p>

('/lib/python/Products/PageTemplates/www/ptEdit.zpt',),
{"desc_ptedit_1":
"""You can upload the text for""",
"desc_ptedit_2":
"""using the following form.
Choose an existing HTML or XML file from your local computer by clicking
<em>browse</em>.  You can also <a href="document_src">click here</a>
to view or download the current text.""",},

#lib/python/Products/PluginIndexes/DateIndex/dtml/addDateIndex.dtml
#<p class="form-help">
#A <em>DateIndex</em> indexes DateTime attributes.
#</p>
('/lib/python/Products/PluginIndexes/DateIndex/dtml/addDateIndex.dtml',),
{"desc_adddateindex": \
"""A <em>DateIndex</em> indexes DateTime attributes."""},

#lib/python/Products/PluginIndexes/DateIndex/dtml/manageDateIndex.dtml
#<p class="form-help">
#Nothing to manage at this time.
#</p>
('/lib/python/Products/PluginIndexes/DateIndex/dtml/manageDateIndex.dtml',),
{"desc_managedateindex": \
"""Nothing to manage at this time."""},

#lib/python/Products/PluginIndexes/DateRangeIndex/dtml/addDateRangeIndex.dtml
#<p class="form-help">
#A DateRangeIndex takes the name of two input attributes; one containing the
#start date of the range, the second the end of the range. This index is filled
#with range information based on those two markers. You can then search for
#objects for those where a given date falls within the range.
#</p>
('/lib/python/Products/PluginIndexes/DateRangeIndex/dtml/addDateRangeIndex.dtml',),
{"desc_adddaterangeindex": \
"""A DateRangeIndex takes the name of two input attributes; one containing the
start date of the range, the second the end of the range. This index is filled
with range information based on those two markers. You can then search for
objects for those where a given date falls within the range."""},

#lib/python/Products/PluginIndexes/DateRangeIndex/dtml/manageDateRangeIndex.dtml
#<p class="form-help">
#You can update this DateRangeIndex by editing the following field and clicking
#<emUpdate</em>.
#</p>
('/lib/python/Products/PluginIndexes/DateRangeIndex/dtml/manageDateRangeIndex.dtml',),
{"desc_managedaterangeindex": \
"""You can update this DateRangeIndex by editing the following field and clicking
<emUpdate</em>."""},

#lib/python/Products/PluginIndexes/FieldIndex/dtml/addFieldIndex.dtml
#<p class="form-help">
#<strong>Field Indexes</strong> treat the value of an objects attributes 
#atomically, and can be used, for example, to track only a certain subset 
#of object values, such as 'meta_type'.
#</p>
('/lib/python/Products/PluginIndexes/FieldIndex/dtml/addFieldIndex.dtml',),
{"desc_addfieldindex": \
"""<strong>Field Indexes</strong> treat the value of an objects attributes 
atomically, and can be used, for example, to track only a certain subset 
of object values, such as 'meta_type'."""},

#lib/python/Products/PluginIndexes/FieldIndex/dtml/manageFieldIndex.dtml
#<p class="form-help">
#Nothing to manage at this time.
#</p>
('/lib/python/Products/PluginIndexes/FieldIndex/dtml/manageFieldIndex.dtml',),
{"desc_managefieldindex": \
"""Nothing to manage at this time."""},

#lib/python/Products/PluginIndexes/KeywordIndex/dtml/addKeywordIndex.dtml
#<p class="form-help">
#<strong>Keyword Indexes</strong> index a sequence of objects that act as 
#'keywords' for an object.  A Keyword Index will return any objects 
#that have one or more keywords specified in a search query.
#</p>
('/lib/python/Products/PluginIndexes/KeywordIndex/dtml/addKeywordIndex.dtml',),
{"desc_addkeywordindex": \
"""<strong>Keyword Indexes</strong> index a sequence of objects that act as 
'keywords' for an object.  A Keyword Index will return any objects 
that have one or more keywords specified in a search query."""},

#lib/python/Products/PluginIndexes/KeywordIndex/dtml/manageKeywordIndex.dtml
#<p class="form-help">
#Nothing to manage at this time.
#</p>
('/lib/python/Products/PluginIndexes/KeywordIndex/dtml/manageKeywordIndex.dtml',),
{"desc_managekeywordindex": \
"""Nothing to manage at this time."""},

#lib/python/Products/PluginIndexes/PathIndex/dtml/addPathIndex.dtml
#<p class="form-help">
#A <em>PathIndex</em> indexes the physical path of all objects inside
#a catalog. It allows you to search for objects beginning or containing
#a special path component or a set of path component. A path component
#is defined as <em>/&lt;component1&gt;/&lt;component2&gt;/..../&lt;object_id&gt;
#</em>. Note: the <em>object_id</em> will <u>not</u> be indexed by the PathIndex.
#</p>
('/lib/python/Products/PluginIndexes/PathIndex/dtml/addPathIndex.dtml',),
{"desc_addpathindex": \
"""A <em>PathIndex</em> indexes the physical path of all objects inside
a catalog. It allows you to search for objects beginning or containing
a special path component or a set of path component. A path component
is defined as <em>/&lt;component1&gt;/&lt;component2&gt;/..../&lt;object_id&gt;
</em>. Note: the <em>object_id</em> will <u>not</u> be indexed by the PathIndex."""},

#lib/python/Products/PluginIndexes/PathIndex/dtml/managePathIndex.dtml
#<p class="form-help">
#Nothing to manage at this time.
#</p>
('/lib/python/Products/PluginIndexes/PathIndex/dtml/managePathIndex.dtml',),
{"desc_managepathindex": \
"""Nothing to manage at this time."""},

#lib/python/Products/PluginIndexes/TextIndex/dtml/addTextIndex.dtml
#<p class="form-help">
#  <strong>Note:</strong>
#  TextIndex is deprecated. It has been replaced by ZCTextIndex. Consider
#  using it instead
#</p>
('/lib/python/Products/PluginIndexes/TextIndex/dtml/addTextIndex.dtml',),
{"desc_addtextindex": \
"""<strong>Note:</strong>
  TextIndex is deprecated. It has been replaced by ZCTextIndex. Consider
  using it instead""",

#lib/python/Products/PluginIndexes/TextIndex/dtml/addTextIndex.dtml
#<p class="form-help">
#<strong>Text Indexes</strong> break text up into individual words, and 
#are often referred to as full-text indexes. Text indexes 
#sort results by score meaning they return hits in order 
#from the most relevant to the lest relevant.
#</p>
"desc_addtextindex_2": \
"""<strong>Text Indexes</strong> break text up into individual words, and 
are often referred to as full-text indexes. Text indexes 
sort results by score meaning they return hits in order 
from the most relevant to the lest relevant."""},

#lib/python/Products/PluginIndexes/TopicIndex/dtml/addTopicIndex.dtml
#<p class="form-help">
#A <em>TopicIndex</em> is a container for so-called <em>FilteredSets</em>
#that consist of an expression and a set of internal ZCatalog document
#identifiers that fulfill this expression. <em>TopicIndexes</em> are
#useful for performance reasons when search queries take too long
#and pre-calculated result sets offer a better performance.
#</p>
('/lib/python/Products/PluginIndexes/TopicIndex/dtml/addTopicIndex.dtml',),
{"desc_addtopicindex": \
"""A <em>TopicIndex</em> is a container for so-called <em>FilteredSets</em>
that consist of an expression and a set of internal ZCatalog document
identifiers that fulfill this expression. <em>TopicIndexes</em> are
useful for performance reasons when search queries take too long
and pre-calculated result sets offer a better performance."""},

#lib/python/Products/PythonScripts/www/pyScriptAdd.dtml
#<p class="form-help">
#Python Scripts allow you to add functionality to Zope by writing
#scripts in the Python programming language
#that are exposed as callable Zope objects.  You may choose to upload
#the script from a local file by typing the file name or using the
#<em>browse</em> button.
#</p>
('/lib/python/Products/PythonScripts/www/pyScriptAdd.dtml',),
{"desc_pyscriptadd": \
"""Python Scripts allow you to add functionality to Zope by writing
scripts in the Python programming language
that are exposed as callable Zope objects.  You may choose to upload
the script from a local file by typing the file name or using the
<em>browse</em> button."""},

#lib/python/Products/PythonScripts/www/pyScriptEdit.dtml
#<p class="form-help">
#You may upload the source for &dtml-title_and_id; using the form below.  
#Choose an existing file from your local computer by clicking <em>browse</em> 
#The contents of the file should be a valid script with an optional 
#&quot;##data&quot; block at the start. You may click the following link 
#to <a href="document_src">view or download</a> the current source.
#</p>
('/lib/python/Products/PythonScripts/www/pyScriptEdit.dtml',),
{"desc_pyscriptedit1": \
"""You may upload the source for""",
"desc_pyscriptedit2": \
"""using the form below.  
Choose an existing file from your local computer by clicking <em>browse</em> 
The contents of the file should be a valid script with an optional 
&quot;##data&quot; block at the start. You may click the following link 
to <a href=\"document_src\">view or download</a> the current source.""",},

#lib/python/Products/PythonScripts/www/pyScriptProxy.dtml
#<p class="form-help">
#Proxy roles allow you to control the access that a script has. Proxy roles 
#replace the roles of the user who is executing the script.  This can be used 
#to both expand and limit access to resources. Select the proxy roles for 
#this object from the list below.
#</p>
('/lib/python/Products/PythonScripts/www/pyScriptProxy.dtml',),
{"desc_pyscriptproxy": \
"""Proxy roles allow you to control the access that a script has. Proxy roles 
replace the roles of the user who is executing the script.  This can be used 
to both expand and limit access to resources. Select the proxy roles for 
this object from the list below."""},

#lib/python/Products/SiteErrorLog/www/main.pt
#<p class="form-help">
#This page lists the exceptions that have occurred in this site
#recently.  You can configure how many exceptions should be kept
#and whether the exceptions should be copied to Zope's event log
#file(s).
#</p>
('/lib/python/Products/SiteErrorLog/www/main.pt',),
{"desc_siteerrorlog1": \
"""This page lists the exceptions that have occurred in this site
recently.  You can configure how many exceptions should be kept
and whether the exceptions should be copied to Zope's event log
file(s).""",

#<em tal:condition="not:entries">
#No exceptions logged.
#</em>
"desc_siteerrorlog2": \
"""No exceptions logged.""",

},


#lib/python/Products/SiteErrorLog/www/showEntry.pt
#<em tal:condition="not:entry">
#The specified log entry was not found.  It may have expired.
#</em>
('/lib/python/Products/SiteErrorLog/www/showEntry.pt',),
{"desc_siteerrorlog_showentry1": \
"""The specified log entry was not found.  It may have expired.""",
},


#lib/python/Products/Sessions/dtml/addIdManager.dtml
#<div class="form-help">
#Zope Browser Id Manager objects allow Zope to differentiate between site
#visitors by "tagging" each of their browsers with a unique identifier. This
#is useful if you need to tell visitors apart from one another even if they do
#not "log in" to your site.  Browser Id Managers are generally used
#by interacting with the Zope sessioning machinery.
#</div>
('/lib/python/Products/Sessions/dtml/addIdManager.dtml',),
{"desc_addidmanager": \
"""Zope Browser Id Manager objects allow Zope to differentiate between site
visitors by "tagging" each of their browsers with a unique identifier. This
is useful if you need to tell visitors apart from one another even if they do
not "log in" to your site.  Browser Id Managers are generally used
by interacting with the Zope sessioning machinery.""",

#<div class="form-help">
#leave blank to send cookies without domain<br>
#info -- however, if cookie domain is not blank,<br>
#it must contain at least two dots
#</div>
"desc_addidmanager2": \
"""    leave blank to send cookies without domain<br>
    info -- however, if cookie domain is not blank,<br>
    it must contain at least two dots""",

#<div class="form-help">
#  0 means send cookies which last only for the<br>
#  lifetime of the browser
#</div>
"desc_addidmanager3": \
"""      0 means send cookies which last only for the<br>
      lifetime of the browser""",},

#lib/python/Products/Sessions/dtml/addDataManager.dtml
#<div class="form-help">
#Zope Session Data Managers objects keep track of your users' session data
#objects.  Developers interact with a Session Data Manager in order to store
#and retrieve information during a user session.  A Session Data Manager
#communicates with a Browser Id Manager to determine the session information
#for the current user, and hands out Session Data Objects related to that
#user.
#</div>
('/lib/python/Products/Sessions/dtml/addDataManager.dtml',),
{"desc_adddatamanager":\
"""Zope Session Data Managers objects keep track of your users' session data
objects.  Developers interact with a Session Data Manager in order to store
and retrieve information during a user session.  A Session Data Manager
communicates with a Browser Id Manager to determine the session information
for the current user, and hands out Session Data Objects related to that
user.""",},

#lib/python/Products/Sessions/dtml/manageIdManager.dtml
#<p class="form-help">
#  Zope Browser Id Manager objects allow Zope to differentiate between site
#  visitors by "tagging" each of their browsers with a unique identifier. This
#  is useful if you need to tell visitors apart from one another even if they do
#  not "log in" to your site.  Browser Id Managers are generally used
#  by interacting with the Zope sessioning machinery.
#</p>
('/lib/python/Products/Sessions/dtml/manageIdManager.dtml',),
{"desc_manageidmanager": \
"""Zope Browser Id Manager objects allow Zope to differentiate between site
  visitors by \"tagging\" each of their browsers with a unique identifier. This
  is useful if you need to tell visitors apart from one another even if they do
  not \"log in\" to your site.  Browser Id Managers are generally used
  by interacting with the Zope sessioning machinery."""},

#lib/python/Products/SiteAccess/www/AccessRuleAdd.dtml
#<p class="form-help">
#<strong>
#WARNING: Access Rules are powerful, and can temporarily disable
#Zope access! Don't use them unless you have read all about them and
#know how to recover from mistakes!
#</strong>
#</p>
('/lib/python/Products/SiteAccess/www/AccessRuleAdd.dtml',),
{"desc_accessruleadd": \
"""<strong>
WARNING: Access Rules are powerful, and can temporarily disable
Zope access! Don't use them unless you have read all about them and
know how to recover from mistakes!
</strong>""",

#lib/python/Products/SiteAccess/www/AccessRuleAdd.dtml
#<p class="form-help">
#In the form below <em>rule id</em> is the id of an object in this 
#Zope Folder which will be called whenever the Folder is published.  
#It can implement rewrite rules, preload request variables, etc.
#</p>
"desc_accessruleadd_2": \
"""In the form below <em>rule id</em> is the id of an object in this 
Zope Folder which will be called whenever the Folder is published.  
It can implement rewrite rules, preload request variables, etc.""",

#<p class="form-text">
#The current Access Rule is
#<a href="&dtml-absolute_url;/&dtml-manage_getAccessRule;/manage_workspace">
#"&dtml-manage_getAccessRule;"</a>.
#</p>
"desc_accessruleadd3": \
"""The current Access Rule is""",

#<p class="form-text">
#No Access Rule is currently set.
#</p>
"desc_accessruleadd4": \
"""No Access Rule is currently set.""",},

#lib/python/Products/SiteAccess/www/SiteRootAdd.dtml
#<p class="form-help">
#This will change URLs generated by all objects within the same container 
#as the SiteRoot.  If a Base is specified (or a SiteRootBASE value can be 
#found) then it will replace the host:port/script portion of generated URLs. 
#If a Path is specified (or a SiteRootPATH value can be found) then it will
#replace the remainder of each URL.
#</p>
('/lib/python/Products/SiteAccess/www/SiteRootAdd.dtml',),
{"desc_siterootadd": \
"""This will change URLs generated by all objects within the same container 
as the SiteRoot.  If a Base is specified (or a SiteRootBASE value can be 
found) then it will replace the host:port/script portion of generated URLs. 
If a Path is specified (or a SiteRootPATH value can be found) then it will
replace the remainder of each URL.""",

#lib/python/Products/SiteAccess/www/SiteRootAdd.dtml
#<p class="form-help">
#Values affected include DTML variables starting with URL or BASE, and 
#the absolute_url() methods of objects.
#</p>
"desc_siterootadd_2": \
"""Values affected include DTML variables starting with URL or BASE, and 
the absolute_url() methods of objects.""",

#lib/python/Products/SiteAccess/www/SiteRootAdd.dtml
#<p class="form-help">
#If Base is not set, the SiteRoot will first attempt to acquire SiteRootBASE 
#and then search the REQUEST for it.  The same holds for Path and 
#SiteRootPATH.
#</p>
"desc_siterootadd_3": \
"""If Base is not set, the SiteRoot will first attempt to acquire SiteRootBASE 
and then search the REQUEST for it.  The same holds for Path and 
SiteRootPATH.""",

#lib/python/Products/SiteAccess/www/SiteRootAdd.dtml
#<p class="form-help">
#Base (if specified) should <strong>always</strong> start with 
#&quot;http://&quot;
#</p>
"desc_siterootadd_4": \
"""Base (if specified) should <strong>always</strong> start with 
&quot;http://&quot;"""},

#lib/python/Products/SiteAccess/www/SiteRootEdit.dtml
#<p class="form-help">
#This will change URLs generated by all objects within the same container 
#as the SiteRoot.  If a Base is specified (or a SiteRootBASE value can be 
#found) then it will replace the host:port/script portion of generated URLs. 
#If a Path is specified (or a SiteRootPATH value can be found) then it will 
#replace the remainder of each URL.
#</p>
('/lib/python/Products/SiteAccess/www/SiteRootEdit.dtml',),
{"desc_siterootedit": \
"""This will change URLs generated by all objects within the same container 
as the SiteRoot.  If a Base is specified (or a SiteRootBASE value can be 
found) then it will replace the host:port/script portion of generated URLs. 
If a Path is specified (or a SiteRootPATH value can be found) then it will 
replace the remainder of each URL.""",

#lib/python/Products/SiteAccess/www/SiteRootEdit.dtml
#<p class="form-help">
#Values affected include DTML variables starting with URL or BASE, and 
#the absolute_url() methods of objects.
#</p>
"desc_siterootedit_2": \
"""Values affected include DTML variables starting with URL or BASE, and 
the absolute_url() methods of objects.""",

#lib/python/Products/SiteAccess/www/SiteRootEdit.dtml
#<p class="form-help">
#If Base is not set, the SiteRoot will first attempt to acquire SiteRootBASE 
#and then search the REQUEST for it.  The same holds for Path and SiteRootPATH.
#</p>
"desc_siterootedit_3": \
"""If Base is not set, the SiteRoot will first attempt to acquire SiteRootBASE 
and then search the REQUEST for it.  The same holds for Path and SiteRootPATH.""",

#lib/python/Products/SiteAccess/www/SiteRootEdit.dtml
#<p class="form-help">
#Base (if specified) should <strong>always</strong> start with "http://"
#</p>
"desc_siterootedit_4": \
"""Base (if specified) should <strong>always</strong> start with \"http://\""""},

#lib/python/Products/SiteAccess/www/VirtualHostMonster.dtml
#<p class="form-help">
#It changes the protocol, host, and/or path of URLs generated by Zope.
#Values affected include REQUEST variables starting with URL or BASE 
#(such as URL1, BASE2, URLPATH0), and the absolute_url() methods of
#objects.  By changing these, the Virtual Host Monster allows you to
#host several different domains in a single Zope.
#</p>
('/lib/python/Products/SiteAccess/www/VirtualHostMonster.dtml',),
{"desc_virtualhostmonster": \
"""It changes the protocol, host, and/or path of URLs generated by Zope.
Values affected include REQUEST variables starting with URL or BASE 
(such as URL1, BASE2, URLPATH0), and the absolute_url() methods of
objects.  By changing these, the Virtual Host Monster allows you to
host several different domains in a single Zope.""",

#<p class="form-help">
#The most common sort of virtual hosting setup is one in which you
#create a Folder in your Zope root for each domain that you want to
#serve.  For instance <strong>http://www.buystuff.com</strong> is
#served from Folder /buystuff.com while
#<strong>http://www.mycause.org</strong> is served from /mycause.org.
#</p>
"desc_virtualhostmonster_2": \
"""The most common sort of virtual hosting setup is one in which you
create a Folder in your Zope root for each domain that you want to
serve.  For instance <strong>http://www.buystuff.com</strong> is
served from Folder /buystuff.com while
<strong>http://www.mycause.org</strong> is served from /mycause.org.""",

#lib/python/Products/SiteAccess/www/VirtualHostMonster.dtml
#<p class="form-help">
#A single Virtual Host Monster in your Zope root can handle all of your
#virtual hosting needs.  It doesn't matter what Id you give it, as long
#as nothing else in your site has the same Id.
#</p>
"desc_virtualhostmonster_3": \
"""A single Virtual Host Monster in your Zope root can handle all of your
virtual hosting needs.  It doesn't matter what Id you give it, as long
as nothing else in your site has the same Id.""",

#lib/python/Products/SiteAccess/www/VirtualHostMonster.dtml
#<p class="form-help">
#The VHM doesn't do anything unless it sees one
#of the following special path elements in a URL: 
#<em>VirtualHostBase</em> sets the protocol and host, while 
#<em>VirtualHostRoot</em> sets the path root.</p>
"desc_virtualhostmonster_4": \
"""The VHM doesn't do anything unless it sees one
of the following special path elements in a URL: 
<em>VirtualHostBase</em> sets the protocol and host, while 
<em>VirtualHostRoot</em> sets the path root.""",

#lib/python/Products/SiteAccess/www/VirtualHostMonster.dtml
#<p class="form-help">
#If the URL path of a request begins with 
#&quot;/VirtualHostBase/http/www.buystuff.com&quot;, for instance, then 
#URLs generated by Zope will start with
#<strong>http://www.buystuff.com</strong>.
#Since the port number was not specified, it is left unchanged.  If
#your Zope is running on port 8080, and you want generated URLs not to
#include this port number, you must use
#&quot;/VirtualHostBase/http/www.buystuff.com:80&quot;.
#</p>
"desc_virtualhostmonster_5": \
"""If the URL path of a request begins with 
&quot;/VirtualHostBase/http/www.buystuff.com&quot;, for instance, then 
URLs generated by Zope will start with
<strong>http://www.buystuff.com</strong>.
Since the port number was not specified, it is left unchanged.  If
your Zope is running on port 8080, and you want generated URLs not to
include this port number, you must use
&quot;/VirtualHostBase/http/www.buystuff.com:80&quot;.""",

#lib/python/Products/SiteAccess/www/VirtualHostMonster.dtml
#<p class="form-help">
#If the URL contains <em>VirtualHostRoot</em>, then 
#all path elements up to that point are removed from generated URLs. 
#For instance, a request with path &quot;/a/b/c/VirtualHostRoot/d&quot; 
#will traverse &quot;a/b/c/d&quot; and then generate a URL with
#path <strong>/d</strong>. 
#</p>
"desc_virtualhostmonster_6": \
"""If the URL contains <em>VirtualHostRoot</em>, then 
all path elements up to that point are removed from generated URLs. 
For instance, a request with path &quot;/a/b/c/VirtualHostRoot/d&quot; 
will traverse &quot;a/b/c/d&quot; and then generate a URL with
path <strong>/d</strong>.""",

#lib/python/Products/SiteAccess/www/VirtualHostMonster.dtml
#<p class="form-help">
#Visitors to your site don't see these special names, of course.
#You insert them into the path using either an external rewriter,
#such as an Apache RewriteRule or ProxyPass directive, or by
#setting up a mapping on the &quot;Mappings&quot; tab.
#</p>
"desc_virtualhostmonster_7": \
"""Visitors to your site don't see these special names, of course.
You insert them into the path using either an external rewriter,
such as an Apache RewriteRule or ProxyPass directive, or by
setting up a mapping on the &quot;Mappings&quot; tab.""",

#lib/python/Products/SiteAccess/www/VirtualHostMonster.dtml
#<p class="form-help">
#For example, suppose Zope is running on port
#8080 behind an Apache running on port 80.  You place a Virtual Host
#Monster in the Zope root Folder, and use Apache to rewrite &quot;/(.*)&quot;
#to <strong>http://localhost:8080/VirtualHostBase/http/www.buystuff.com:80/buystuff.com/VirtualHostRoot/$1</strong>.
#</p>
"desc_virtualhostmonster_8": \
"""For example, suppose Zope is running on port
8080 behind an Apache running on port 80.  You place a Virtual Host
Monster in the Zope root Folder, and use Apache to rewrite &quot;/(.*)&quot;
to <strong>http://localhost:8080/VirtualHostBase/http/www.buystuff.com:80/buystuff.com/VirtualHostRoot/$1</strong>.""",

#lib/python/Products/SiteAccess/www/VirtualHostMonster.dtml
#<p class="form-help">
#You could get the same effect in a standalone Zope by adding the line
#<code>www.buystuff.com/buystuff.com</code> to the &quot;Mappings&quot;
#tab.  In either case, requests for
#<strong>http://www.buystuff.com/anything</strong>
#will look for Zope object <strong>/buystuff.com/anything</strong>.
#</p>
"desc_virtualhostmonster_9": \
"""You could get the same effect in a standalone Zope by adding the line
<code>www.buystuff.com/buystuff.com</code> to the &quot;Mappings&quot;
tab.  In either case, requests for
<strong>http://www.buystuff.com/anything</strong>
will look for Zope object <strong>/buystuff.com/anything</strong>.""",

#lib/python/Products/SiteAccess/www/VirtualHostMonster.dtml
#<p class="form-help">
#You should only use the &quot;Mappings&quot; tab for simple virtual
#hosting, in a Zope that is serving requests directly.  Each mapping
#line is a host name followed by a path to a Folder.  The VHM checks
#the host specified in each incoming request to see if it is in the
#list.  If it is, then the corresponding path is inserted at the start
#of the path, followed by &quot;VirtualHostRoot&quot;.
#</p>
"desc_virtualhostmonster_10": \
"""You should only use the &quot;Mappings&quot; tab for simple virtual
hosting, in a Zope that is serving requests directly.  Each mapping
line is a host name followed by a path to a Folder.  The VHM checks
the host specified in each incoming request to see if it is in the
list.  If it is, then the corresponding path is inserted at the start
of the path, followed by &quot;VirtualHostRoot&quot;.""",

#lib/python/Products/SiteAccess/www/VirtualHostMonster.dtml
#<p class="form-help">
#You can match
#multiple subdomains by putting &quot;*.&quot; in front of the host
#name, as in &quot;*.buystuff.com&quot;.  If an exact match exists, it
#is used instead of a wildcard match.
#</p>
"desc_virtualhostmonster_11": \
"""You can match
multiple subdomains by putting &quot;*.&quot; in front of the host
name, as in &quot;*.buystuff.com&quot;.  If an exact match exists, it
is used instead of a wildcard match.""",

#lib/python/Products/SiteAccess/www/VirtualHostMonster.dtml
#<p class="form-help">
#Another use for virtual hosting is to make Zope appear to be part of a
#site controlled by another server.  For example, Zope might only serve
#the contents of <strong>http://www.mycause.org/dynamic_stuff</strong>.
#To accomplish this, you want to add &quot;dynamic_stuff&quot; to the
#start of all Zope-generated URLs.
#</p>
"desc_virtualhostmonster_12": \
"""Another use for virtual hosting is to make Zope appear to be part of a
site controlled by another server.  For example, Zope might only serve
the contents of <strong>http://www.mycause.org/dynamic_stuff</strong>.
To accomplish this, you want to add &quot;dynamic_stuff&quot; to the
start of all Zope-generated URLs.""",

#lib/python/Products/SiteAccess/www/VirtualHostMonster.dtml
#<p class="form-help">
#If you insert <em>VirtualHostRoot</em>, followed by one or more path elements
#that start with '_vh_', then these elements will
#be ignored during traversal and then added (without the '_vh_',) to the
#start of generated URLs. 
#For instance, a request for &quot;/a/VirtualHostRoot/_vh_z/&quot; 
#will traverse &quot;a&quot; and then generate URLs that start with
#<strong>/z</strong>.
#</p>
"desc_virtualhostmonster_13": \
"""If you insert <em>VirtualHostRoot</em>, followed by one or more path elements
that start with '_vh_', then these elements will
be ignored during traversal and then added (without the '_vh_',) to the
start of generated URLs. 
For instance, a request for &quot;/a/VirtualHostRoot/_vh_z/&quot; 
will traverse &quot;a&quot; and then generate URLs that start with
<strong>/z</strong>.""",

#lib/python/Products/SiteAccess/www/VirtualHostMonster.dtml
#<p class="form-help">
#In our example, you would have the main server send requests for
#<strong>http://www.mycause.org/dynamic_stuff/anything</strong>
#to Zope, rewritten as
#<strong>/VirtualHostRoot/_vh_dynamic_stuff/anything</strong>.
#</p>
"desc_virtualhostmonster_14": \
"""In our example, you would have the main server send requests for
<strong>http://www.mycause.org/dynamic_stuff/anything</strong>
to Zope, rewritten as
<strong>/VirtualHostRoot/_vh_dynamic_stuff/anything</strong>."""},

#lib/python/Products/SiteAccess/www/VirtualHostMonsterAdd.dtml
#<p class="form-help">
#A Virtual Host Monster changes the URLs generated by all objects 
#within the same Folder, using information passed to it in special URL 
#path elements. This is useful if you are using some rewriting tool 
#(Apache or an Access Rule, for example) to insert these special 
#elements into your URL.
#</p>
('/lib/python/Products/SiteAccess/www/VirtualHostMonsterAdd.dtml',),
{"desc_virtualhostmonsteradd": \
"""A Virtual Host Monster changes the URLs generated by all objects 
within the same Folder, using information passed to it in special URL 
path elements. This is useful if you are using some rewriting tool 
(Apache or an Access Rule, for example) to insert these special 
elements into your URL.""",

#lib/python/Products/SiteAccess/www/VirtualHostMonsterAdd.dtml
#<p class="form-help">
#To set the protocol ('http', 'https',) and host ('www.foo.com',) portion
#of generated URLs, insert &quot;VirtualHostBase&quot;, the protocol,
#and the host into the path.
#</p>
"desc_virtualhostmonsteradd_2": \
"""To set the protocol ('http', 'https',) and host ('www.foo.com',) portion
of generated URLs, insert &quot;VirtualHostBase&quot;, the protocol,
and the host into the path.""",

#lib/python/Products/SiteAccess/www/VirtualHostMonsterAdd.dtml
#<p class="form-help">
#Insert &quot;VirtualHostRoot&quot; directly after the name of the
#Folder that is supposed to be the root of the virtual host.<br><br>
#For example, to publish Folder &quot;/foo&quot; as <b>http://www.foo.com/</b>,
#put a Virtual Host Monster in the root folder and rewrite requests for that
#URL to <b>/VirtualHostBase/http/www.foo.com/foo/VirtualHostRoot/</b>
#</p>
"desc_virtualhostmonsteradd_3": \
"""Insert &quot;VirtualHostRoot&quot; directly after the name of the
Folder that is supposed to be the root of the virtual host.<br><br>
For example, to publish Folder &quot;/foo&quot; as <b>http://www.foo.com/</b>,
put a Virtual Host Monster in the root folder and rewrite requests for that
URL to <b>/VirtualHostBase/http/www.foo.com/foo/VirtualHostRoot/</b>""",

#lib/python/Products/SiteAccess/www/VirtualHostMonsterAdd.dtml
#<p class="form-help">
#Values affected include DTML variables starting with URL or BASE, and 
#the absolute_url() methods of objects.
#</p>
"desc_virtualhostmonsteradd_4": \
"""Values affected include DTML variables starting with URL or BASE, and 
the absolute_url() methods of objects.""",},

#lib/python/Products/SiteAccess/www/manage_edit.dtml
#<p class="form-help">
#You may edit the mappings for this Virtual Host Monster using the form below.
#<strong><em>You don't need to use this tab</em></strong> if you are using
#Apache or some other front-end server to rewrite requests.  This is
#only for simple virtual hosting in a bare Zope server.  If you place
#the hostname that you use to manage your Zope in this list
#<strong><em>you are likely to regret it</em></strong>, and will
#probably need to manage Zope using its raw IP address to fix things.
#</p>
('/lib/python/Products/SiteAccess/www/manage_edit.dtml',),
{"desc_manage_edit": \
"""You may edit the mappings for this Virtual Host Monster using the form below.
<strong><em>You don't need to use this tab</em></strong> if you are using
Apache or some other front-end server to rewrite requests.  This is
only for simple virtual hosting in a bare Zope server.  If you place
the hostname that you use to manage your Zope in this list
<strong><em>you are likely to regret it</em></strong>, and will
probably need to manage Zope using its raw IP address to fix things.""",
#<td align="left" valign="top" colspan="2" class="form-help">
#Each line represents a path mapping for a single host 
#(<strong>host/path</strong>),
#or a set of hosts (<strong>*.host/path</strong>).
"desc_manage_edit2": \
"""  Each line represents a path mapping for a single host 
  (<strong>host/path</strong>),
  or a set of hosts (<strong>*.host/path</strong>).
"""},

#lib/python/Products/StandardCacheManagers/dtml/statsAccel.dtml
#<p class="form-help">
#Cache manager hits generally correspond to HTTP accelerator misses. 
#A hit is counted in the "authenticated hits" column even if headers 
#are only set for anonymous requests.
#</p>
('/lib/python/Products/StandardCacheManagers/dtml/statsAccel.dtml',
'/lib/python/Products/StandardCacheManagers/dtml/statsRCM.dtml',),
{"desc_statsaccel": \
"""Cache manager hits generally correspond to HTTP accelerator misses. 
A hit is counted in the \"authenticated hits\" column even if headers 
are only set for anonymous requests.""",
#<strong>Nothing is in the cache.</strong>
"desc_statsaccel2":\
"""Nothing is in the cache."""},

#lib/python/Products/StandardCacheManagers/dtml/statsRCM.dtml
#<p class="form-help">
#Memory usage is approximate. It is based on the pickled value of the 
#cached data. The cache is cleaned up by removing the least frequently 
#accessed entries since the last cleanup operation. The determination 
#is made using the <em>recent hits</em> counter.
#</p>
('/lib/python/Products/StandardCacheManagers/dtml/statsRCM.dtml',),
{"desc_statsrcm": \
"""Memory usage is approximate. It is based on the pickled value of the 
cached data. The cache is cleaned up by removing the least frequently 
accessed entries since the last cleanup operation. The determination 
is made using the <em>recent hits</em> counter."""},

#lib/python/Products/Transience/dtml/manageTransientObjectContainer.dtml
#<p class="form-help">
#Transient Object Containers are used to store transient data.
#Transient data will persist, but only for a user-specified period of time
#(the "data object timeout") after which it will be flushed.
#</p>
('/lib/python/Products/Transience/dtml/manageTransientObjectContainer.dtml',),
{"desc_managetransientobjectcontainer": \
"""Transient Object Containers are used to store transient data.
Transient data will persist, but only for a user-specified period of time
(the \"data object timeout\") after which it will be flushed."""},

#lib/python/Products/ZCTextIndex/dtml/addLexicon.dtml
#<p class="form-help">
#  A ZCTextIndex Lexicon processes and stores the words of documents indexed
#  with a ZCTextIndex. Multiple ZCTextIndexes can share the same lexicon.
#</p>
('/lib/python/Products/ZCTextIndex/dtml/addLexicon.dtml',),
{"desc_addlexicon": \
"""A ZCTextIndex Lexicon processes and stores the words of documents indexed
  with a ZCTextIndex. Multiple ZCTextIndexes can share the same lexicon."""},

#lib/python/Products/ZCTextIndex/dtml/addZCTextIndex.dtml
#<p class="form-help">
#<strong>Text Indexes</strong> break text up into individual words, and 
#are often referred to as full-text indexes. Text indexes 
#sort results by score, meaning they return hits in order 
#from the most relevant to the least relevant.
#</p>
('/lib/python/Products/ZCTextIndex/dtml/addZCTextIndex.dtml',),
{"desc_addzctextindex": \
"""<strong>Text Indexes</strong> break text up into individual words, and 
are often referred to as full-text indexes. Text indexes 
sort results by score, meaning they return hits in order 
from the most relevant to the least relevant."""},

#lib/python/Products/ZCTextIndex/dtml/manageLexicon.dtml
#<p class="form-help">
#  The lexicon processes and stores the words found in objects indexed by one 
#  or more ZCTextIndexes.
#</p>
('/lib/python/Products/ZCTextIndex/dtml/manageLexicon.dtml',),
{"desc_managelexicon": \
"""The lexicon processes and stores the words found in objects indexed by one 
  or more ZCTextIndexes.""",

#lib/python/Products/ZCTextIndex/dtml/manageLexicon.dtml
#<p class="form-help">
#  Text indexed through this lexicon is processed by the following pipeline 
#  stages
#</p>
"desc_managelexicon_2": \
"""Text indexed through this lexicon is processed by the following pipeline 
  stages"""},

#lib/python/Products/ZCTextIndex/dtml/manageZCTextIndex.dtml
#<p class="form-help">
#  Name(s) of attribute(s) indexed: 
#  <em><dtml-var "', '.join(getIndexSourceNames())"></em>
#</p>
('/lib/python/Products/ZCTextIndex/dtml/manageZCTextIndex.dtml',),
{"desc_managezctextindex": \
"""Name(s) of attribute(s) indexed: """,

#lib/python/Products/ZCTextIndex/dtml/manageZCTextIndex.dtml
#<p class="form-help">
#  Index type: 
#  <em>&dtml-getIndexType;</em>
#</p>
"desc_managezctextindex_2": \
"""Index type: """,

#lib/python/Products/ZCTextIndex/dtml/manageZCTextIndex.dtml
#<p class="form-help">
#  ZCTextIndex Lexicon used: 
"desc_managezctextindex_3": \
"""ZCTextIndex Lexicon used: """,

#lib/python/Products/ZCTextIndex/dtml/manageZCTextIndex.dtml
#<p class="form-help">
#  <em>Note:</em> The lexicon assigned to the index cannot be changed. To replace
#  the existing lexicon, create a new lexicon in the same place and clear the
#  index. This will make the index use the replacement lexicon.
#</p>
"desc_managezctextindex_4": \
"""<em>Note:</em> The lexicon assigned to the index cannot be changed. To replace
  the existing lexicon, create a new lexicon in the same place and clear the
  index. This will make the index use the replacement lexicon."""},

#lib/python/Products/ZCTextIndex/dtml/queryLexicon.dtml
#<p class="form-help">
#  Browse the words in the lexicon or enter the word(s) you are interested in
#  below. Globbing characters (*, ?) are supported
#</p>
('/lib/python/Products/ZCTextIndex/dtml/queryLexicon.dtml',),
{"desc_querylexicon": \
"""Browse the words in the lexicon or enter the word(s) you are interested in
  below. Globbing characters (*, ?) are supported"""},

#lib/python/Products/ZCatalog/dtml/addIndexForm.dtml
#<p class="form-help">
#help for adding indexes....
#</p>
('/lib/python/Products/ZCatalog/dtml/addIndexForm.dtml',),
{"desc_addindexform": \
"""help for adding indexes...."""},

#lib/python/Products/ZCatalog/dtml/catalogAdvanced.dtml
#<p class="form-help"> Updating the catalog will update all catalog
#  records and remove invalid records. It does this by clearing all
#  indexes and re-cataloging all currently indexed objects.
#  </p>
('/lib/python/Products/ZCatalog/dtml/catalogAdvanced.dtml',),
{"desc_catalogadvanced": \
"""Updating the catalog will update all catalog
  records and remove invalid records. It does this by clearing all
  indexes and re-cataloging all currently indexed objects.""",

#lib/python/Products/ZCatalog/dtml/catalogAdvanced.dtml
#<p class="form-help">Clearing the catalog will remove all entries.
#  </p>
"desc_catalogadvanced_2": \
"""Clearing the catalog will remove all entries.""",

#lib/python/Products/ZCatalog/dtml/catalogAdvanced.dtml
#<p class="form-help"> Subtransactions allow Zope to commit small
#    parts of a transaction over a period of time instead of all at
#    once.  For ZCatalog, this means using subtransactions can
#    signficantly reduce the memory requirements needed to index huge
#    amounts of text all at once. Currently, subtransactions are only
#    applied to text indexes.</p>
"desc_catalogadvanced_3": \
"""Subtransactions allow Zope to commit small
    parts of a transaction over a period of time instead of all at
    once.  For ZCatalog, this means using subtransactions can
    signficantly reduce the memory requirements needed to index huge
    amounts of text all at once. Currently, subtransactions are only
    applied to text indexes.""",

#lib/python/Products/ZCatalog/dtml/catalogAdvanced.dtml
#<p class="form-help"> If enabled, subtransactions will reduce the memory
#      requirements of ZCatalog, but <em>at the expense of speed</em>.
#      If you choose to enable subtransactions, you can adjust how often
#      ZCatalog commits a subtransactions by adjusting the
#      <em>threshold</em> below.</p>
"desc_catalogadvanced_4": \
"""If enabled, subtransactions will reduce the memory
      requirements of ZCatalog, but <em>at the expense of speed</em>.
      If you choose to enable subtransactions, you can adjust how often
      ZCatalog commits a subtransactions by adjusting the
      <em>threshold</em> below.""",

#lib/python/Products/ZCatalog/dtml/catalogAdvanced.dtml
#<p class="form-help"> If you are using ZCatalog and ZSQL Methods
#    in the same transaction, you <em>must</em> disable
#    subtransactions, they are not compatible with ZSQL Methods.</p>
"desc_catalogadvanced_5": \
"""If you are using ZCatalog and ZSQL Methods
    in the same transaction, you <em>must</em> disable
    subtransactions, they are not compatible with ZSQL Methods.""",

#lib/python/Products/ZCatalog/dtml/catalogAdvanced.dtml
#<p class="form-help">The Subtransaction threshold is the number of
#      objects cataloged
#      in the context of a single transaction that the catalog
#      will index before it commits a subtransaction.  If this number
#      is low, the Catalog will take longer to index but consume less
#      memory.  If this number is higher, the Catalog will index
#      quickly but consume much more memory.</p>
"desc_catalogadvanced_6": \
"""The Subtransaction threshold is the number of
      objects cataloged
      in the context of a single transaction that the catalog
      will index before it commits a subtransaction.  If this number
      is low, the Catalog will take longer to index but consume less
      memory.  If this number is higher, the Catalog will index
      quickly but consume much more memory."""},

#lib/python/Products/ZCatalog/dtml/catalogFind.dtml
#<P class="form-help">
#Use this form to locate objects to be cataloged.  Those objects which
#are found will be automatically added to the catalog.
#</p>
('/lib/python/Products/ZCatalog/dtml/catalogFind.dtml',),
{"desc_catalogfind": \
"""Use this form to locate objects to be cataloged.  Those objects which
are found will be automatically added to the catalog."""},

#lib/python/Products/ZCatalog/dtml/catalogIndexes.dtml
#<p class="form-help"> 
#This list defines what indexes the Catalog will contain.  When objects 
#get cataloged, the values of any attributes which match 
#an index in this list will get indexed.
#</p>
('/lib/python/Products/ZCatalog/dtml/catalogIndexes.dtml',),
{"desc_catalogindexes": \
"""This list defines what indexes the Catalog will contain.  When objects 
get cataloged, the values of any attributes which match 
an index in this list will get indexed."""},

#lib/python/Products/ZCatalog/dtml/catalogObjectInformation.dtml
#<p class="form-help">
#  The goal of this page is to provide basic debugging information
#  about what is in the Catalog on a specific object.  Listed below is
#  all the information that the Catalog currently contains for the
#  above specified object.  This information should match what is
#  currently in the instance of that object.
#  </td>
#</tr>
#</table>
#<br />
#<table width="100%" borders="0" cellspacing="2" cellpadding="0">
#<tr class="section-bar">
#  <td colspan="3" align="left">
#  <div class="form-label">Metadata Contents</div>
#  </td>
#</tr>
#<tr>
#  <td colspan="3" align="left">
#  <p class="form-help">Metadata is the information that the Catalog
#  keeps inside of its internal structure so that it can answer
#  questions quickly.  This is then returned in the "brain" that the
#  Catalog gives back during searches.</p>
('/lib/python/Products/ZCatalog/dtml/catalogObjectInformation.dtml',),
{"desc_catalogobjectinformation": \
"""The goal of this page is to provide basic debugging information
  about what is in the Catalog on a specific object.  Listed below is
  all the information that the Catalog currently contains for the
  above specified object.  This information should match what is
  currently in the instance of that object.""",

"desc_catalogobjectinformation_2": \
"""Metadata is the information that the Catalog
  keeps inside of its internal structure so that it can answer
  questions quickly.  This is then returned in the \"brain\" that the
  Catalog gives back during searches.""",

#lib/python/Products/ZCatalog/dtml/catalogObjectInformation.dtml
#<p class="form-help">The following table gives information that is
#contained in the various indexes of the Catalog. In the case of
#Keyword or Text indexes, the results are returned as a tuple, and will 
#show as '(one, two, three)', rather than in a more normal way.</p>
"desc_catalogobjectinformation_3": \
"""The following table gives information that is
contained in the various indexes of the Catalog. In the case of
Keyword or Text indexes, the results are returned as a tuple, and will 
show as '(one, two, three)', rather than in a more normal way."""},

#lib/python/Products/ZCatalog/dtml/catalogSchema.dtml
#<p class="form-help">
#This list defines what per object meta data the Catalog will store. 
#When objects get cataloged, the values of any attributes they may have 
#which match a name in this list will get stored in a table in the 
#Catalog.  The Catalog then uses this information to create result 
#objects that are returned whenever the catalog is searched.  It is 
#important to understand that when the Catalog is searched, it returns 
#a list of result objects, <i>not the cataloged objects themselves</i>, 
#so if you want to use the value of an object's attribute in the result 
#of a search, that attribute must be in this list
#</p>
('/lib/python/Products/ZCatalog/dtml/catalogSchema.dtml',),
{"desc_catalogschema": \
"""This list defines what per object meta data the Catalog will store. 
When objects get cataloged, the values of any attributes they may have 
which match a name in this list will get stored in a table in the 
Catalog.  The Catalog then uses this information to create result 
objects that are returned whenever the catalog is searched.  It is 
important to understand that when the Catalog is searched, it returns 
a list of result objects, <i>not the cataloged objects themselves</i>, 
so if you want to use the value of an object's attribute in the result 
of a search, that attribute must be in this list""",

#lib/python/Products/ZCatalog/dtml/catalogSchema.dtml
#<p class="form-help">
#It is generally a good idea to keep this list lightweight.  It is 
#useful, for example, to keep the 'summary' meta data of a text 
#document (like the first 200 characters) but <i>not</i> the text 
#content in it's entirety (it is useful in this example to <i>index</i> 
#the text contents, which is configured in the <b>Indexes</b> View 
#tab).  This way, the summary data may be shown in the search results.
#</p>
"desc_catalogschema_2": \
"""It is generally a good idea to keep this list lightweight.  It is 
useful, for example, to keep the 'summary' meta data of a text 
document (like the first 200 characters) but <i>not</i> the text 
content in it's entirety (it is useful in this example to <i>index</i> 
the text contents, which is configured in the <b>Indexes</b> View 
tab).  This way, the summary data may be shown in the search results."""},

#lib/python/Products/ZCatalog/dtml/catalogStatus.dtml
#<p class="form-help"> Subtransactions allow Zope to commit small
#      parts of a transaction over a period of time instead of all at once.
#      For
#      ZCatalog, this means using subtransactions can signficantly
#      reduce the memory requirements needed to index huge amounts of
#      text all at once.</p>
('/lib/python/Products/ZCatalog/dtml/catalogStatus.dtml',),
{"desc_catalogstatus": \
"""Subtransactions allow Zope to commit small
      parts of a transaction over a period of time instead of all at once.
      For
      ZCatalog, this means using subtransactions can signficantly
      reduce the memory requirements needed to index huge amounts of
      text all at once.""",

#lib/python/Products/ZCatalog/dtml/catalogStatus.dtml
#<p class="form-help"> If enabled, subtransactions will reduce the memory
#      requirements of ZCatalog, but <em>at the expense of speed</em>.
#      If you choose to enable subtransactions, you can adjust how often
#      ZCatalog commits a subtransactions by adjusting the
#      <em>threshold</em> below.</p>
"desc_catalogstatus_2": \
"""If enabled, subtransactions will reduce the memory
      requirements of ZCatalog, but <em>at the expense of speed</em>.
      If you choose to enable subtransactions, you can adjust how often
      ZCatalog commits a subtransactions by adjusting the
      <em>threshold</em> below.""",

#lib/python/Products/ZCatalog/dtml/catalogStatus.dtml
#<p class="form-help"> If you are using ZCatalog and ZSQL Methods in the 
#      same
#      transaction, you <em>must</em> disable subtransactions, they are not
#      compatible with ZSQL Methods.</p>
"desc_catalogstatus_3": \
"""If you are using ZCatalog and ZSQL Methods in the 
      same
      transaction, you <em>must</em> disable subtransactions, they are not
      compatible with ZSQL Methods.""",

#lib/python/Products/ZCatalog/dtml/catalogStatus.dtml
#<p class="form-help">The Subtransaction threshold is the number of words the catalog
#      will index before it commits a subtransaction.  If this number
#      is low, the Catalog will take longer to index but consume less
#      memory.  If this number is higher, the Catalog will index
#      quickly but consume much more memory.</p>
"desc_catalogstatus_4": \
"""The Subtransaction threshold is the number of words the catalog
      will index before it commits a subtransaction.  If this number
      is low, the Catalog will take longer to index but consume less
      memory.  If this number is higher, the Catalog will index
      quickly but consume much more memory."""},

#lib/python/Products/ZCatalog/dtml/editCatalogerForm.dtml
#<p class="form-help">
#This element controls which Catalog this object will try index and
#unindex itself to.
#</p>
('/lib/python/Products/ZCatalog/dtml/editCatalogerForm.dtml',),
{"desc_editcatalogerform": \
"""This element controls which Catalog this object will try index and
unindex itself to."""},

#lib/python/Products/ZCatalog/dtml/manageOldindex.dtml
#<p class="form-help"> 
#This is an pre-2.4 ZCatalog index. There is nothing to manage.
#</p>
('/lib/python/Products/ZCatalog/dtml/manageOldindex.dtml',),
{"desc_manageoldindex": \
"""This is an pre-2.4 ZCatalog index. There is nothing to manage."""},

#lib/python/Products/ZGadflyDA/dtml/connectionAdd.dtml
#<p class="form-help">
#Sorry, you cannot create any Zope &dtml-database_type; Database 
#Connections because no &dtml-database_type; databases exist, or 
#all of the existing databases are in use. 
#</p>
('/lib/python/Products/ZGadflyDA/dtml/connectionAdd.dtml',),
{"desc_connectionadd": \
"""Sorry, you cannot create any Zope &dtml-database_type; Database 
Connections because no &dtml-database_type; databases exist, or 
all of the existing databases are in use.""",

#lib/python/Products/ZGadflyDA/dtml/connectionAdd.dtml
#<p class="form-help">
#<em><strong>Note:</strong> 
#The Zope Gadfly product is a free Zope database adapter intended
#for demonstration purposes only.  It is only suitable for learning
#about Zope SQL Methods.  Database operations are performed in memory, so it
#should not be used to create large databases.  This installation is using a
#non-optimized version of Gadfly and should not be used to assess
#the performance of either Gadfly or Zope.</em>
#</p>
"desc_connectionadd_2": \
"""<em><strong>Note:</strong> 
The Zope Gadfly product is a free Zope database adapter intended
for demonstration purposes only.  It is only suitable for learning
about Zope SQL Methods.  Database operations are performed in memory, so it
should not be used to create large databases.  This installation is using a
non-optimized version of Gadfly and should not be used to assess
the performance of either Gadfly or Zope.</em>""",

#lib/python/Products/ZGadflyDA/dtml/connectionAdd.dtml
#<p class="form-help">
#The Zope Gadfly Product uses the 
#<a href="http://starship.skyport.net/crew/aaron_watters/kwParsing/">
#Gadfly SQL Database Engine</a> by Aaron Waters. See the Gadfly
#copyright below.
#</p>
"desc_connectionadd_3": \
"""The Zope Gadfly Product uses the 
<a href=\"http://starship.skyport.net/crew/aaron_watters/kwParsing/\">
Gadfly SQL Database Engine</a> by Aaron Waters. See the Gadfly
copyright below."""},

#lib/python/Products/ZReST/dtml/manage_addZReSTForm.dtml
#<p class="form-help">
#You may optionally select a file to upload from your local computer by
#clicking the <em>Browse</em> button.
#</p>
('/lib/python/Products/ZReST/dtml/manage_addZReSTForm.dtml',),
{"desc_manage_addzrestform": \
"""You may optionally select a file to upload from your local computer by
clicking the <em>Browse</em> button."""},

#lib/python/Products/ZReST/dtml/manage_editForm.dtml
#<p class="form-help">
#You may edit the source for this document using the form below. You 
#may also upload the source for this document from a local file. Click
#the <em>browse</em> button to select a local file to upload.
#</p>
#"desc_manage_editform": \
#"""You may edit the source for this document using the form below. You 
#may also upload the source for this document from a local file. Click
#the <em>browse</em> button to select a local file to upload.""",

#lib/python/Products/ZReST/dtml/manage_editForm.dtml
#<p class="form-help"><strong>Help:</strong> ReStructuredText
# <a href="http://docutils.sourceforge.net/docs/rst/quickstart.html">primer</a>
#  for beginners,
# <a href="http://docutils.sourceforge.net/docs/rst/quickref.html">quick
#  reference</a> for the more advanced and
# <a href="http://docutils.sourceforge.net/rst.html">home page</a> for all
#  the details.
#</p>
('/lib/python/Products/ZReST/dtml/manage_editForm.dtml',),
{"desc_manage_editform_2": \
"""<strong>Help:</strong> ReStructuredText
 <a href=\"http://docutils.sourceforge.net/docs/rst/quickstart.html\">primer</a>
  for beginners,
 <a href=\"http://docutils.sourceforge.net/docs/rst/quickref.html\">quick
  reference</a> for the more advanced and
 <a href=\"http://docutils.sourceforge.net/rst.html\">home page</a> for all
  the details."""},

#lib/python/Products/ZSQLMethods/dtml/add.dtml
#<p class="form-help">
#A SQL Method allows you to access a SQL database. For more information see 
#the <a href="http://www.zope.org/Documentation/Guides/ZSQL">Z SQL Methods 
#User's Guide</a>.
#</p>
('/lib/python/Products/ZSQLMethods/dtml/add.dtml',),
{"desc_add": \
"""A SQL Method allows you to access a SQL database. For more information see 
the <a href=\"http://www.zope.org/Documentation/Guides/ZSQL\">Z SQL Methods 
User's Guide</a>.""",

#lib/python/Products/ZSQLMethods/dtml/add.dtml
#<p class="form-help">
#In the form below <EM>connection id</EM> is the name of the SQL Database 
#Connection to use. <EM>Arguments</EM> is a list of variables which the
#SQL Method accepts. <EM>Query template</EM> is a template of the SQL 
#statement which the SQL Method will execute.
#</p>
"desc_add_2": \
"""In the form below <EM>connection id</EM> is the name of the SQL Database 
Connection to use. <EM>Arguments</EM> is a list of variables which the
SQL Method accepts. <EM>Query template</EM> is a template of the SQL 
statement which the SQL Method will execute."""},

#lib/python/Products/ZSQLMethods/dtml/edit.dtml
#<p class="form-help">
#There are no SQL database connections.  You need to add a Zope SQL 
#database connection before you can edit a Zope SQL Method.
#</p>
('/lib/python/Products/ZSQLMethods/dtml/edit.dtml',),
{"desc_edit": \
"""There are no SQL database connections.  You need to add a Zope SQL 
database connection before you can edit a Zope SQL Method."""},

#lib/python/Products/ZopeTutorial/dtml/tutorialAdd.dtml
#<p class="form-help">
#  This tutorial show you the basics of using Zope. You will
#  learn how to create and manage Zope resources by builting
#  a web site devoted to tracking Elvis sightings. Each lesson
#  includes working examples in Zope that allow you to learn
#  by hands on experimentation.
#</p>
('/lib/python/Products/ZopeTutorial/dtml/tutorialAdd.dtml',),
{"desc_tutorialadd": \
"""This tutorial show you the basics of using Zope. You will
  learn how to create and manage Zope resources by builting
  a web site devoted to tracking Elvis sightings. Each lesson
  includes working examples in Zope that allow you to learn
  by hands on experimentation.""",

#lib/python/Products/ZopeTutorial/dtml/tutorialAdd.dtml
#<p class="form-help">
#  The tutorial assumes that you are familiar with basic Internet
#  technologies such as <a href="http://www.w3.org/MarkUp/Guide/">HTML</a>,
#  URLs, and web browers.
#</p>
"desc_tutorialadd_2": \
"""The tutorial assumes that you are familiar with basic Internet
  technologies such as <a href=\"http://www.w3.org/MarkUp/Guide/\">HTML</a>,
  URLs, and web browers."""},

#lib/python/Shared/DC/Scripts/dtml/scriptBindings.dtml
#<p class="form-help">
#Each of the following items describes a piece of information about 
#this script's calling environment.  If you supply a variable name for 
#an item, or accept the recommended name, the information will 
#automatically be provided under that name when the script is called.
#</p>
('/lib/python/Shared/DC/Scripts/dtml/scriptBindings.dtml',),
{"desc_scriptbindings": \
"""Each of the following items describes a piece of information about 
this script's calling environment.  If you supply a variable name for 
an item, or accept the recommended name, the information will 
automatically be provided under that name when the script is called.""",
#<div class="form-text">
#This is the object on which the script is being called, also known as the
#&quot;acquisition parent&quot; of the script.  This <em>may</em> be the 
#container, but varies according to the path through which the script is 
#accessed.
"desc_scriptbindings2": \
"""  This is the object on which the script is being called, also known as the
  &quot;acquisition parent&quot; of the script.  This <em>may</em> be the 
  container, but varies according to the path through which the script is 
  accessed.""",

#This is the <dtml-with expr="aq_inner.aq_parent">&dtml-meta_type;
#"&dtml.missing.html_quote-title_or_id;"</dtml-with>, in which this
#script is located.  This doesn't change unless you move the script.
#If the script is in a ZClass, the Container is the class instance.
"desc_scriptbindings11": \
"""  This is the """,

"desc_scriptbindings4": \
""", in which this
  script is located.  This doesn't change unless you move the script.
  If the script is in a ZClass, the Container is the class instance.""",
"desc_scriptbindings5": \
"""  This is the script object """,

#<div class="form-text">
#This is the script object &quot;&dtml-title_or_id;&quot; itself.
"desc_scriptbindings6": \
"""  This is the script object """,

#<div class="form-text">
#This is the script object &quot;&dtml-title_or_id;&quot; itself.
"desc_scriptbindings7": \
""" itself.""",

#<div class="form-text">
#When the script is called from DTML, this is the caller's DTML namespace,
#otherwise it is an empty namespace.
"desc_scriptbindings8": \
"""  When the script is called from DTML, this is the caller's DTML namespace,
  otherwise it is an empty namespace.""",

#<div class="form-text">
#When the script is published directly from a URL, this is the
#portion of the URL path after the script's name, split at slash separators
#into a list of strings. Otherwise, it is an empty list.
"desc_scriptbindings9": \
"""  When the script is published directly from a URL, this is the
  portion of the URL path after the script's name, split at slash separators
  into a list of strings. Otherwise, it is an empty list.""",

"desc_scriptbindings10": \
"""  <br /><br />
  Recommended value:"""},

#lib/python/Shared/DC/Scripts/dtml/scriptTry.dtml
#<p class="form-help">
#Enter variable values to pass to the script in the form below and 
#click <em>run script</em> to view the result of the call.
#</p>
('/lib/python/Shared/DC/Scripts/dtml/scriptTry.dtml',),
{"desc_scripttry": \
"""Enter variable values to pass to the script in the form below and 
click <em>run script</em> to view the result of the call."""},

#lib/python/Shared/DC/ZRDB/dtml/advanced.dtml
#<option value="">No ZClass</option>
('/lib/python/Shared/DC/ZRDB/dtml/advanced.dtml',),
{"desc_advanced": \
"""No ZClass""",
"desc_advanced2":
"""You may specify a <strong>class</strong> for the data records.  This
class must be defined in a file that resides in the <code>Extensions</code>
directory of this Zope installation."""},

#lib/python/Shared/DC/ZRDB/dtml/connectionStatus.dtml


#lib/python/Shared/DC/ZRDB/dtml/connectionTestForm.dtml
#<p class="form-help">
#You can write a test query and run it with this database connection 
#using the form below. Click <em>submit query</em> to run the query.
#</p>
('/lib/python/Shared/DC/ZRDB/dtml/connectionTestForm.dtml',),
{"desc_connectiontestform": \
"""You can write a test query and run it with this database connection 
using the form below. Click <em>submit query</em> to run the query.""",

#lib/python/Shared/DC/ZRDB/dtml/connectionTestForm.dtml
#<p class="form-help">
#This database connection is currently closed. You must click on the 
#<em>status</em> tab and open the connection before you can test it.
#</p>
"desc_connectiontestform_2": \
"""This database connection is currently closed. You must click on the 
<em>status</em> tab and open the connection before you can test it."""},

#lib/python/Shared/DC/ZRDB/dtml/searchAdd.dtml
#<p class="form-help">
#A Search Interface allows you to search Zope databases.
#The Search Interface will create a 
# search-input form and a report for displaying the search results.
#</p>
('/lib/python/Shared/DC/ZRDB/dtml/searchAdd.dtml',),
{"desc_searchadd": \
"""A Search Interface allows you to search Zope databases.
The Search Interface will create a 
 search-input form and a report for displaying the search results.""",

#lib/python/Shared/DC/ZRDB/dtml/searchAdd.dtml
#<p class="form-help">
#In the form below, <em>seachable objects</em> are the objects
#(usually SQL Methods) to be searched. <em>report id</em> and 
#<em>search input id</em> are the ids of the 
#report and search form objects that will be created.
#<em>report style</em> indicates the type of report to generate.
#</p>
"desc_searchadd_2": \
"""In the form below, <em>seachable objects</em> are the objects
(usually SQL Methods) to be searched. <em>report id</em> and 
<em>search input id</em> are the ids of the 
report and search form objects that will be created.
<em>report style</em> indicates the type of report to generate."""},

#lib/python/ZClasses/dtml/addIcon.dtml
#<p class="form-help">
#Instance Icons are displayed with images in management interfaces.
#Select an image file from your local computer by clicking the
#<em>browse</em> button. The image you select will be uploaded
#to the class for use by instances.
#</p>
('/lib/python/ZClasses/dtml/addIcon.dtml',),
{"desc_addicon": \
"""Instance Icons are displayed with images in management interfaces.
Select an image file from your local computer by clicking the
<em>browse</em> button. The image you select will be uploaded
to the class for use by instances.""",

#lib/python/ZClasses/dtml/addIcon.dtml
#<p class="form-help">
#The instance icon property will be set to give a path to the image.
#The path will be based on the current location of this class and
#will need to be adjusted if the class is moved.
#</p>
"desc_addicon_2": \
"""The instance icon property will be set to give a path to the image.
The path will be based on the current location of this class and
will need to be adjusted if the class is moved."""},

#lib/python/ZClasses/dtml/classPermissions.dtml
#<p class="form-help">
#Use this view to select permissions used by this class.
#When setting permissions for individual methods or property sheets, 
#you will be able to select from class permissions and inherited 
#permissions.
#</p>
('/lib/python/ZClasses/dtml/classPermissions.dtml',),
{"desc_classpermissions": \
"""Use this view to select permissions used by this class.
When setting permissions for individual methods or property sheets, 
you will be able to select from class permissions and inherited 
permissions."""},

#lib/python/ZClasses/dtml/itemProp.dtml
#<p class="form-help">
#Instance Icons are displayed with images in management interfaces.
#Select an image file from your local computer by clicking the
#<em>Browse</em> button. The image you select will be uploaded
#to the class for use by instances.
#</p>
('/lib/python/ZClasses/dtml/itemProp.dtml',),
{"desc_itemprop": \
"""Instance Icons are displayed with images in management interfaces.
Select an image file from your local computer by clicking the
<em>Browse</em> button. The image you select will be uploaded
to the class for use by instances.""",

#lib/python/ZClasses/dtml/itemProp.dtml
#<p class="form-help">
#The instance icon property will be set to give a path to the image.
#The path will be based on the current location of this class and
#will need to be adjusted if the class is moved.
#</p>
"desc_itemprop_2": \
"""The instance icon property will be set to give a path to the image.
The path will be based on the current location of this class and
will need to be adjusted if the class is moved."""},

#lib/python/ZClasses/dtml/views.dtml
#<p class="form-help">
#To create a new view, enter a name for the view and select the 
#method that implements the view and the help topic to be used 
#for the view.
#</p>
('/lib/python/ZClasses/dtml/views.dtml',),
{"desc_views": \
"""To create a new view, enter a name for the view and select the 
method that implements the view and the help topic to be used 
for the view."""},

#Zope quick start
('/lib/python/App/dtml/zope_quick_start.dtml',),
{"zope_quick_start1":\
"""<h3>
You have not created any users in this Zope instance.  In order to
log in and manage this Zope instance, you'll need to add an adminstrative
user account.
</h3>
<p>
If you're running Zope on UNIX or Linux, you can create an administrative
user account via the "zopectl adduser" command from a shell.  If you're
running Zope on Windows, you'll need to use the "zpasswd.py" utility in your
Zope installation's "bin" directory
at """,
"zope_quick_start2":\
"""to create a file named <i>inituser</i> in your Zope instance home at""",
"zope_quick_start3":\
""" that contains the
initial administrative username and password.""",
"zope_quick_start4":\
"""Welcome to <strong>Zope</strong>, a high-performance object-oriented 
platform for building dynamic Web applications. Here are some quick 
pointers to get you started:
</p>

<ul>
<li>
<p>
<a href="http://www.zope.org/Documentation/ZopeBook/" target="_new">Read The 
Fine Manual</a>.  This document guides you through the whole process of
learning Zope, from logging in for the first time to creating your own
web applications.
</p>
</li>

<li>
<p>
There is a built-in interactive <strong>Zope Tutorial</strong> which 
gets you started with some simple tasks using the Zope managment 
interface. To use the tutorial, go to any Folder and select 
<em>Zope Tutorial</em> from the add list and click the <em>Add</em> 
button. Provide a name for the tutorial and click <em>Add</em> to 
begin working with the tutorial.
</p>
</li>

<li>
<p>
<a href="manage_importObject?file=Examples.zexp&amp;set_owner:int=1">Import</a>
and then check out the <b>new</b> <a href="Examples">example Zope
applications</a>. These examples show you simple working Zope
applications that you can copy and modify.
</p>
</li>

<li>
<p>
Go to the main <a href="http://www.zope.org/Documentation/" target="_new">
Documentation Overview</a> on Zope.org.  Here you will find pointers to 
official and community contributed documentation.
</p>
</li>

<li>
<p>
Look at the various <a 
href="http://www.zope.org/Resources/MailingLists" target="_new">Mailing 
Lists</a> about Zope.  The Mailing Lists are where you can get 
quick, accurate, friendly help from a large community of Zope 
users from around the world.
</p>
</li>

<li>
<p>
Browse and search the integrated, <a href="HelpSys" target="zope_help">
Online Help System</a> which contains documentation on 
the various kinds of components you'll find in Zope.
</p>
</li>

<li>
<p>
Go directly to the """,
"zope_quick_start5":\
"""Zope Management Interface</a> if you'd like to start working with Zope 
right away.  <strong>NOTE:  Some versions of Microsoft Internet Explorer,
(specifically IE 5.01 and early versions of IE 5.5) may have problems
displaying Zope management pages.  If you cannot view the management pages,
try upgrading your IE installation to the latest release version, or use
a different browser.</strong>
</p>
</li>

<li>
<p>
Find out about <a href="http://www.zope.com/" target="_new">Zope 
Corporation</a>, the publishers of Zope.
</p>
</li>""",},


)

if __name__ == '__main__':
    print len(desc_list)
    prepath = ''
    for item in desc_list:
        if type(item) == type((1,)):
            if prepath == item:
                print ">>>",prepath
            prepath = item
        else:
            pass

